package androidx.emoji.widget;

import android.text.Editable;
import android.text.Spannable;
import android.text.TextWatcher;
import android.widget.EditText;
import androidx.emoji.text.EmojiCompat;

public final class EmojiTextWatcher implements TextWatcher {
    public final EditText mEditText;
    public int mEmojiReplaceStrategy = 0;
    public int mMaxEmojiCount = Integer.MAX_VALUE;

    public EmojiTextWatcher(EditText editText) {
        this.mEditText = editText;
    }

    public void afterTextChanged(Editable editable) {
    }

    public void beforeTextChanged(CharSequence charSequence, int i, int i2, int i3) {
    }

    public void onTextChanged(CharSequence charSequence, int i, int i2, int i3) {
        if (!this.mEditText.isInEditMode() && i2 <= i3 && (charSequence instanceof Spannable)) {
            EmojiCompat.get();
            throw null;
        }
    }
}
