package androidx.lifecycle;

import androidx.lifecycle.Lifecycle;
import androidx.transition.ViewGroupUtilsApi14;
import java.util.Objects;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: LifecycleController.kt */
public final class LifecycleController$observer$1 implements LifecycleEventObserver {
    @Override // androidx.lifecycle.LifecycleEventObserver
    public final void onStateChanged(LifecycleOwner lifecycleOwner, Lifecycle.Event event) {
        Intrinsics.checkParameterIsNotNull(lifecycleOwner, "source");
        Intrinsics.checkParameterIsNotNull(event, "<anonymous parameter 1>");
        Lifecycle lifecycle = lifecycleOwner.getLifecycle();
        Intrinsics.checkExpressionValueIsNotNull(lifecycle, "source.lifecycle");
        if (((LifecycleRegistry) lifecycle).mState == Lifecycle.State.DESTROYED) {
            ViewGroupUtilsApi14.cancel$default(null, null, 1, null);
            throw null;
        }
        Lifecycle lifecycle2 = lifecycleOwner.getLifecycle();
        Intrinsics.checkExpressionValueIsNotNull(lifecycle2, "source.lifecycle");
        LifecycleRegistry lifecycleRegistry = (LifecycleRegistry) lifecycle2;
        Objects.requireNonNull(null);
        throw null;
    }
}
