package androidx.recyclerview.widget;

import com.android.tools.r8.GeneratedOutlineSupport;

public class LayoutState {
    public int mAvailable;
    public int mCurrentPosition;
    public int mEndLine = 0;
    public boolean mInfinite;
    public int mItemDirection;
    public int mLayoutDirection;
    public boolean mRecycle = true;
    public int mStartLine = 0;
    public boolean mStopInFocusable;

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("LayoutState{mAvailable=");
        outline25.append(this.mAvailable);
        outline25.append(", mCurrentPosition=");
        outline25.append(this.mCurrentPosition);
        outline25.append(", mItemDirection=");
        outline25.append(this.mItemDirection);
        outline25.append(", mLayoutDirection=");
        outline25.append(this.mLayoutDirection);
        outline25.append(", mStartLine=");
        outline25.append(this.mStartLine);
        outline25.append(", mEndLine=");
        return GeneratedOutlineSupport.outline20(outline25, this.mEndLine, '}');
    }
}
