package com.faster.cheetah.sdk.shadowsocks.tunnel;

import java.net.InetSocketAddress;
import java.nio.ByteBuffer;
import java.nio.channels.Selector;
import java.nio.channels.SocketChannel;

public class RawTunnel extends Tunnel {
    public RawTunnel(InetSocketAddress inetSocketAddress, Selector selector) {
        super(inetSocketAddress, selector);
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.Tunnel
    public void afterReceived(ByteBuffer byteBuffer) {
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.Tunnel
    public void beforeSend(ByteBuffer byteBuffer) {
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.Tunnel
    public boolean isTunnelEstablished() {
        return true;
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.Tunnel
    public void onConnected(ByteBuffer byteBuffer) {
        onTunnelEstablished();
    }

    @Override // com.faster.cheetah.sdk.shadowsocks.tunnel.Tunnel
    public void onDispose() {
    }

    public RawTunnel(SocketChannel socketChannel, Selector selector) {
        super(socketChannel, selector);
    }
}
