package com.faster.cheetah.sdk.strongswan.logic.imc.collectors;

import android.os.Build;
import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.Attribute;
import com.faster.cheetah.sdk.strongswan.logic.imc.attributes.StringVersionAttribute;

public class StringVersionCollector implements Collector {
    @Override // com.faster.cheetah.sdk.strongswan.logic.imc.collectors.Collector
    public Attribute getMeasurement() {
        StringVersionAttribute stringVersionAttribute = new StringVersionAttribute();
        stringVersionAttribute.setProductVersionNumber(Build.VERSION.RELEASE);
        stringVersionAttribute.setInternalBuildNumber(Build.DISPLAY);
        return stringVersionAttribute;
    }
}
