package com.faster.cheetah.ui;

import android.app.Dialog;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Toast;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.databinding.ActivityBindMailBinding;
import com.faster.cheetah.ui.BindMailActivity;
import com.zfast.xyz.R;
import java.util.Objects;
import java.util.Timer;
import java.util.TimerTask;

public class BindMailActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public ActivityBindMailBinding binding;
    public Timer checkTimer;
    public String code;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.BindMailActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!BindMailActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    BindMailActivity bindMailActivity = BindMailActivity.this;
                    Toast.makeText(bindMailActivity.activity, bindMailActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 120:
                            BindMailActivity bindMailActivity2 = BindMailActivity.this;
                            Objects.requireNonNull(bindMailActivity2);
                            Timer timer = new Timer();
                            bindMailActivity2.checkTimer = timer;
                            bindMailActivity2.time = 90;
                            timer.schedule(new TimerTask() {
                                /* class com.faster.cheetah.ui.BindMailActivity.AnonymousClass2 */

                                public void run() {
                                    BindMailActivity.this.runOnUiThread(new Runnable() {
                                        /* class com.faster.cheetah.ui.$$Lambda$BindMailActivity$2$4q9YtR_x48gWRf0fYYTwv_bp7I */

                                        public final void run() {
                                            BindMailActivity.AnonymousClass2 r0 = BindMailActivity.AnonymousClass2.this;
                                            BindMailActivity bindMailActivity = BindMailActivity.this;
                                            int i = bindMailActivity.time - 1;
                                            bindMailActivity.time = i;
                                            if (i > 0) {
                                                bindMailActivity.binding.btnGetCode.setText(BindMailActivity.this.time + "S");
                                                return;
                                            }
                                            bindMailActivity.binding.btnGetCode.setText(R.string.btn_get_code);
                                            BindMailActivity.this.checkTimer.cancel();
                                        }
                                    });
                                }
                            }, 0, 1000);
                            return;
                        case 121:
                            Toast.makeText(BindMailActivity.this.activity, string, 0).show();
                            return;
                        case 122:
                            BindMailActivity bindMailActivity3 = BindMailActivity.this;
                            Toast.makeText(bindMailActivity3.activity, bindMailActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 123:
                            BindMailActivity bindMailActivity4 = BindMailActivity.this;
                            Toast.makeText(bindMailActivity4.activity, bindMailActivity4.getString(R.string.error_access), 0).show();
                            return;
                        case 124:
                            Toast.makeText(BindMailActivity.this.activity, string, 0).show();
                            BindMailActivity.this.finish();
                            return;
                        case 125:
                            Toast.makeText(BindMailActivity.this.activity, string, 0).show();
                            return;
                        case 126:
                            BindMailActivity bindMailActivity5 = BindMailActivity.this;
                            Toast.makeText(bindMailActivity5.activity, bindMailActivity5.getString(R.string.error_data_format), 0).show();
                            return;
                        case 127:
                            BindMailActivity bindMailActivity6 = BindMailActivity.this;
                            Toast.makeText(bindMailActivity6.activity, bindMailActivity6.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    BindMailActivity bindMailActivity7 = BindMailActivity.this;
                    Toast.makeText(bindMailActivity7.activity, bindMailActivity7.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public String mail;
    public int time = 0;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityBindMailBinding activityBindMailBinding = (ActivityBindMailBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_bind_mail);
        this.binding = activityBindMailBinding;
        activityBindMailBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$BindMailActivity$hAXr2sdYs2m74nsIg_PlpGBy6Ig */

            public final void onClick(View view) {
                BindMailActivity.this.finish();
            }
        });
        this.binding.btnGetCode.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$BindMailActivity$Vof1wwkPN9xiuPT4BovpJqRPolE */

            public final void onClick(View view) {
                BindMailActivity bindMailActivity = BindMailActivity.this;
                if (bindMailActivity.time <= 0) {
                    bindMailActivity.mail = bindMailActivity.binding.etMail.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(bindMailActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = bindMailActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0026: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x0024: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v0 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$uMAuG1xdjMKomXEP_EoKPH7g6KI : 0x0021: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$BindMailActivity$uMAuG1xdjMKomXEP_EoKPH7g6KI) = (r4v1 'bindMailActivity' com.faster.cheetah.ui.BindMailActivity), (r0v6 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$uMAuG1xdjMKomXEP_EoKPH7g6KI.<init>(com.faster.cheetah.ui.BindMailActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$Vof1wwkPN9xiuPT4BovpJqRPolE.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:99)
                        	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:143)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:63)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0021: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$BindMailActivity$uMAuG1xdjMKomXEP_EoKPH7g6KI) = (r4v1 'bindMailActivity' com.faster.cheetah.ui.BindMailActivity), (r0v6 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$uMAuG1xdjMKomXEP_EoKPH7g6KI.<init>(com.faster.cheetah.ui.BindMailActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$Vof1wwkPN9xiuPT4BovpJqRPolE.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 21 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$uMAuG1xdjMKomXEP_EoKPH7g6KI, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 27 more
                        */
                    /*
                        this = this;
                        com.faster.cheetah.ui.BindMailActivity r4 = com.faster.cheetah.ui.BindMailActivity.this
                        int r0 = r4.time
                        if (r0 > 0) goto L_0x0029
                        com.faster.cheetah.databinding.ActivityBindMailBinding r0 = r4.binding
                        android.widget.EditText r0 = r0.etMail
                        android.text.Editable r0 = r0.getText()
                        java.lang.String r0 = r0.toString()
                        r4.mail = r0
                        com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                        android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                        r0.show()
                        com.faster.cheetah.MainApplication r1 = r4.application
                        com.faster.cheetah.ui.-$$Lambda$BindMailActivity$uMAuG1xdjMKomXEP_EoKPH7g6KI r2 = new com.faster.cheetah.ui.-$$Lambda$BindMailActivity$uMAuG1xdjMKomXEP_EoKPH7g6KI
                        r2.<init>(r4, r0)
                        java.util.concurrent.ExecutorService r4 = r1.executorService
                        r4.execute(r2)
                    L_0x0029:
                        return
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$BindMailActivity$Vof1wwkPN9xiuPT4BovpJqRPolE.onClick(android.view.View):void");
                }
            });
            this.binding.btnConfirm.setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.ui.$$Lambda$BindMailActivity$0Kvv86ZVfcWFOzZSH8xklLgxcoc */

                public final void onClick(View view) {
                    BindMailActivity bindMailActivity = BindMailActivity.this;
                    bindMailActivity.mail = bindMailActivity.binding.etMail.getText().toString();
                    bindMailActivity.code = bindMailActivity.binding.etCode.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(bindMailActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = bindMailActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0030: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x002e: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v0 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$f-dw4Hqc9TFeqUX1yWvlmg7NI0g : 0x002b: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$BindMailActivity$f-dw4Hqc9TFeqUX1yWvlmg7NI0g) = (r4v1 'bindMailActivity' com.faster.cheetah.ui.BindMailActivity), (r0v9 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$f-dw4Hqc9TFeqUX1yWvlmg7NI0g.<init>(com.faster.cheetah.ui.BindMailActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$0Kvv86ZVfcWFOzZSH8xklLgxcoc.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x002b: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$BindMailActivity$f-dw4Hqc9TFeqUX1yWvlmg7NI0g) = (r4v1 'bindMailActivity' com.faster.cheetah.ui.BindMailActivity), (r0v9 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$f-dw4Hqc9TFeqUX1yWvlmg7NI0g.<init>(com.faster.cheetah.ui.BindMailActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$0Kvv86ZVfcWFOzZSH8xklLgxcoc.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 14 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$BindMailActivity$f-dw4Hqc9TFeqUX1yWvlmg7NI0g, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 20 more
                        */
                    /*
                        this = this;
                        com.faster.cheetah.ui.BindMailActivity r4 = com.faster.cheetah.ui.BindMailActivity.this
                        com.faster.cheetah.databinding.ActivityBindMailBinding r0 = r4.binding
                        android.widget.EditText r0 = r0.etMail
                        android.text.Editable r0 = r0.getText()
                        java.lang.String r0 = r0.toString()
                        r4.mail = r0
                        com.faster.cheetah.databinding.ActivityBindMailBinding r0 = r4.binding
                        android.widget.EditText r0 = r0.etCode
                        android.text.Editable r0 = r0.getText()
                        java.lang.String r0 = r0.toString()
                        r4.code = r0
                        com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                        android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                        r0.show()
                        com.faster.cheetah.MainApplication r1 = r4.application
                        com.faster.cheetah.ui.-$$Lambda$BindMailActivity$f-dw4Hqc9TFeqUX1yWvlmg7NI0g r2 = new com.faster.cheetah.ui.-$$Lambda$BindMailActivity$f-dw4Hqc9TFeqUX1yWvlmg7NI0g
                        r2.<init>(r4, r0)
                        java.util.concurrent.ExecutorService r4 = r1.executorService
                        r4.execute(r2)
                        return
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$BindMailActivity$0Kvv86ZVfcWFOzZSH8xklLgxcoc.onClick(android.view.View):void");
                }
            });
        }
    }
