package com.faster.cheetah.ui;

import android.content.Intent;
import android.graphics.Color;
import android.net.Uri;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.TextPaint;
import android.text.method.LinkMovementMethod;
import android.text.style.ClickableSpan;
import android.text.style.ForegroundColorSpan;
import android.view.View;
import androidx.databinding.DataBindingUtil;
import com.faster.cheetah.databinding.ActivityComputerBinding;
import com.zfast.xyz.R;

public class ComputerActivity extends BaseActivity {
    public ActivityComputerBinding binding;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityComputerBinding activityComputerBinding = (ActivityComputerBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_computer);
        this.binding = activityComputerBinding;
        activityComputerBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$ComputerActivity$Rw183ErfoN_KXhi3Myk70lGQzIg */

            public final void onClick(View view) {
                ComputerActivity.this.finish();
            }
        });
        String str = this.application.configEntity.clientUrl;
        SpannableString spannableString = new SpannableString(str);
        spannableString.setSpan(new ClickableSpan() {
            /* class com.faster.cheetah.ui.ComputerActivity.AnonymousClass1 */

            public void onClick(View view) {
                ComputerActivity.this.startActivity(new Intent("android.intent.action.VIEW", Uri.parse(ComputerActivity.this.application.configEntity.clientUrl)));
            }

            public void updateDrawState(TextPaint textPaint) {
                textPaint.setUnderlineText(false);
            }
        }, 0, str.length(), 33);
        spannableString.setSpan(new ForegroundColorSpan(Color.parseColor("#2b90ed")), 0, str.length(), 33);
        this.binding.tvSiteUrl.setText(spannableString);
        this.binding.tvSiteUrl.setMovementMethod(LinkMovementMethod.getInstance());
    }
}
