package com.faster.cheetah.ui;

import android.app.Dialog;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.Toast;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.ui.FindPasswordActivity;
import com.zfast.xyz.R;
import java.util.Objects;
import java.util.Timer;
import java.util.TimerTask;

public class FindPasswordActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public String account;
    public Button btnConfirm;
    public Button btnGetCode;
    public Timer checkTimer;
    public String code;
    public EditText etAccount;
    public EditText etCode;
    public EditText etPassword;
    public EditText etPasswordConfirm;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.FindPasswordActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!FindPasswordActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    FindPasswordActivity findPasswordActivity = FindPasswordActivity.this;
                    Toast.makeText(findPasswordActivity.activity, findPasswordActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 136:
                            FindPasswordActivity.access$000(FindPasswordActivity.this);
                            return;
                        case 137:
                            Toast.makeText(FindPasswordActivity.this.activity, string, 0).show();
                            return;
                        case 138:
                            FindPasswordActivity findPasswordActivity2 = FindPasswordActivity.this;
                            Toast.makeText(findPasswordActivity2.activity, findPasswordActivity2.getString(R.string.error_data_format), 0).show();
                            return;
                        case 139:
                            FindPasswordActivity findPasswordActivity3 = FindPasswordActivity.this;
                            Toast.makeText(findPasswordActivity3.activity, findPasswordActivity3.getString(R.string.error_access), 0).show();
                            return;
                        case 140:
                            Toast.makeText(FindPasswordActivity.this.activity, string, 0).show();
                            FindPasswordActivity.this.finish();
                            return;
                        case 141:
                            Toast.makeText(FindPasswordActivity.this.activity, string, 0).show();
                            return;
                        case 142:
                            FindPasswordActivity findPasswordActivity4 = FindPasswordActivity.this;
                            Toast.makeText(findPasswordActivity4.activity, findPasswordActivity4.getString(R.string.error_data_format), 0).show();
                            return;
                        case 143:
                            FindPasswordActivity findPasswordActivity5 = FindPasswordActivity.this;
                            Toast.makeText(findPasswordActivity5.activity, findPasswordActivity5.getString(R.string.error_access), 0).show();
                            return;
                        case 144:
                            FindPasswordActivity.access$000(FindPasswordActivity.this);
                            return;
                        case 145:
                            Toast.makeText(FindPasswordActivity.this.activity, string, 0).show();
                            return;
                        case 146:
                            FindPasswordActivity findPasswordActivity6 = FindPasswordActivity.this;
                            Toast.makeText(findPasswordActivity6.activity, findPasswordActivity6.getString(R.string.error_data_format), 0).show();
                            return;
                        case 147:
                            FindPasswordActivity findPasswordActivity7 = FindPasswordActivity.this;
                            Toast.makeText(findPasswordActivity7.activity, findPasswordActivity7.getString(R.string.error_access), 0).show();
                            return;
                        case 148:
                            Toast.makeText(FindPasswordActivity.this.activity, string, 0).show();
                            FindPasswordActivity.this.finish();
                            return;
                        case 149:
                            Toast.makeText(FindPasswordActivity.this.activity, string, 0).show();
                            return;
                        case 150:
                            FindPasswordActivity findPasswordActivity8 = FindPasswordActivity.this;
                            Toast.makeText(findPasswordActivity8.activity, findPasswordActivity8.getString(R.string.error_data_format), 0).show();
                            return;
                        case 151:
                            FindPasswordActivity findPasswordActivity9 = FindPasswordActivity.this;
                            Toast.makeText(findPasswordActivity9.activity, findPasswordActivity9.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    FindPasswordActivity findPasswordActivity10 = FindPasswordActivity.this;
                    Toast.makeText(findPasswordActivity10.activity, findPasswordActivity10.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;
    public String password;
    public int time = 0;

    public static void access$000(FindPasswordActivity findPasswordActivity) {
        Objects.requireNonNull(findPasswordActivity);
        Timer timer = new Timer();
        findPasswordActivity.checkTimer = timer;
        findPasswordActivity.time = 90;
        timer.schedule(new TimerTask() {
            /* class com.faster.cheetah.ui.FindPasswordActivity.AnonymousClass2 */

            public void run() {
                FindPasswordActivity.this.runOnUiThread(new Runnable() {
                    /* class com.faster.cheetah.ui.$$Lambda$FindPasswordActivity$2$ohT3wnGFVrUFMx7PhrqyM4YMByU */

                    public final void run() {
                        FindPasswordActivity.AnonymousClass2 r0 = FindPasswordActivity.AnonymousClass2.this;
                        FindPasswordActivity findPasswordActivity = FindPasswordActivity.this;
                        int i = findPasswordActivity.time - 1;
                        findPasswordActivity.time = i;
                        if (i > 0) {
                            GeneratedOutlineSupport.outline30(FindPasswordActivity.this.time, new StringBuilder(), "S", findPasswordActivity.btnGetCode);
                            return;
                        }
                        findPasswordActivity.btnGetCode.setText(R.string.btn_get_code);
                        FindPasswordActivity.this.checkTimer.cancel();
                    }
                });
            }
        }, 0, 1000);
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_find_password);
        this.etAccount = (EditText) findViewById(R.id.et_account);
        this.etCode = (EditText) findViewById(R.id.et_code);
        this.etPassword = (EditText) findViewById(R.id.et_password);
        this.etPasswordConfirm = (EditText) findViewById(R.id.et_password_confirm);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.btnGetCode = (Button) findViewById(R.id.btn_get_code);
        this.btnConfirm = (Button) findViewById(R.id.btn_confirm);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$FindPasswordActivity$rpRiPn6O2coz0E0qOIUa8Io8dw */

            public final void onClick(View view) {
                FindPasswordActivity.this.finish();
            }
        });
        this.btnGetCode.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$FindPasswordActivity$XI_8zXECHfI_gDkbIR1zVZurLp0 */

            public final void onClick(View view) {
                FindPasswordActivity findPasswordActivity = FindPasswordActivity.this;
                if (findPasswordActivity.time <= 0) {
                    findPasswordActivity.account = findPasswordActivity.etAccount.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(findPasswordActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = findPasswordActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0024: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x0022: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v0 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$Wdl235-VJAPnX5CmMA2a_sJTd1o : 0x001f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$Wdl235-VJAPnX5CmMA2a_sJTd1o) = (r4v1 'findPasswordActivity' com.faster.cheetah.ui.FindPasswordActivity), (r0v5 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$Wdl235-VJAPnX5CmMA2a_sJTd1o.<init>(com.faster.cheetah.ui.FindPasswordActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$XI_8zXECHfI_gDkbIR1zVZurLp0.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:99)
                        	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:143)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:63)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$Wdl235-VJAPnX5CmMA2a_sJTd1o) = (r4v1 'findPasswordActivity' com.faster.cheetah.ui.FindPasswordActivity), (r0v5 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$Wdl235-VJAPnX5CmMA2a_sJTd1o.<init>(com.faster.cheetah.ui.FindPasswordActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$XI_8zXECHfI_gDkbIR1zVZurLp0.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 21 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$Wdl235-VJAPnX5CmMA2a_sJTd1o, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 27 more
                        */
                    /*
                        this = this;
                        com.faster.cheetah.ui.FindPasswordActivity r4 = com.faster.cheetah.ui.FindPasswordActivity.this
                        int r0 = r4.time
                        if (r0 > 0) goto L_0x0027
                        android.widget.EditText r0 = r4.etAccount
                        android.text.Editable r0 = r0.getText()
                        java.lang.String r0 = r0.toString()
                        r4.account = r0
                        com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                        android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                        r0.show()
                        com.faster.cheetah.MainApplication r1 = r4.application
                        com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$Wdl235-VJAPnX5CmMA2a_sJTd1o r2 = new com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$Wdl235-VJAPnX5CmMA2a_sJTd1o
                        r2.<init>(r4, r0)
                        java.util.concurrent.ExecutorService r4 = r1.executorService
                        r4.execute(r2)
                    L_0x0027:
                        return
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$FindPasswordActivity$XI_8zXECHfI_gDkbIR1zVZurLp0.onClick(android.view.View):void");
                }
            });
            this.btnConfirm.setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.ui.$$Lambda$FindPasswordActivity$3iNjCMJtiIhQfTf8cITEIHLb6SA */

                public final void onClick(View view) {
                    FindPasswordActivity findPasswordActivity = FindPasswordActivity.this;
                    if (!findPasswordActivity.etPassword.getText().toString().equals(findPasswordActivity.etPasswordConfirm.getText().toString())) {
                        Toast.makeText(findPasswordActivity.activity, findPasswordActivity.getString(R.string.warm_password_different), 0).show();
                        return;
                    }
                    findPasswordActivity.account = findPasswordActivity.etAccount.getText().toString();
                    findPasswordActivity.code = findPasswordActivity.etCode.getText().toString();
                    findPasswordActivity.password = findPasswordActivity.etPassword.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(findPasswordActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = findPasswordActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0064: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x0062: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v3 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$xyHWsYIM-djJmE7DHw4qnKDzph4 : 0x005f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$xyHWsYIM-djJmE7DHw4qnKDzph4) = (r4v1 'findPasswordActivity' com.faster.cheetah.ui.FindPasswordActivity), (r0v14 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$xyHWsYIM-djJmE7DHw4qnKDzph4.<init>(com.faster.cheetah.ui.FindPasswordActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$3iNjCMJtiIhQfTf8cITEIHLb6SA.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x005f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$xyHWsYIM-djJmE7DHw4qnKDzph4) = (r4v1 'findPasswordActivity' com.faster.cheetah.ui.FindPasswordActivity), (r0v14 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$xyHWsYIM-djJmE7DHw4qnKDzph4.<init>(com.faster.cheetah.ui.FindPasswordActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$3iNjCMJtiIhQfTf8cITEIHLb6SA.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 18 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$FindPasswordActivity$xyHWsYIM-djJmE7DHw4qnKDzph4, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 24 more
                        */
                    /*
                    // Method dump skipped, instructions count: 104
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$FindPasswordActivity$3iNjCMJtiIhQfTf8cITEIHLb6SA.onClick(android.view.View):void");
                }
            });
            ConfigEntity configEntity = this.application.configEntity;
            if (configEntity != null) {
                if (configEntity.registerType.intValue() == 1) {
                    this.etAccount.setHint(R.string.hint_input_mail);
                } else if (this.application.configEntity.registerType.intValue() == 2) {
                    this.etAccount.setHint(R.string.hint_input_mobile);
                }
                if (getIntent() != null) {
                    this.etAccount.setText(getIntent().getStringExtra("account"));
                }
            }
        }
    }
