package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.MainApplication;
import com.yzq.zxinglibrary.android.CaptureActivity;
import com.yzq.zxinglibrary.bean.ZxingConfig;
import com.zfast.xyz.R;

public class InvitationRewardActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public Button btnConfirm;
    public EditText etInvitationCode;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.InvitationRewardActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!InvitationRewardActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    InvitationRewardActivity invitationRewardActivity = InvitationRewardActivity.this;
                    Toast.makeText(invitationRewardActivity.activity, invitationRewardActivity.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    InvitationRewardActivity invitationRewardActivity2 = InvitationRewardActivity.this;
                    Toast.makeText(invitationRewardActivity2.activity, invitationRewardActivity2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i != 20) {
                    switch (i) {
                        case 89:
                            Toast.makeText(InvitationRewardActivity.this.activity, string, 0).show();
                            InvitationRewardActivity.this.finish();
                            return;
                        case 90:
                            Toast.makeText(InvitationRewardActivity.this.activity, string, 0).show();
                            return;
                        case 91:
                            InvitationRewardActivity invitationRewardActivity3 = InvitationRewardActivity.this;
                            Toast.makeText(invitationRewardActivity3.activity, invitationRewardActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 92:
                            InvitationRewardActivity invitationRewardActivity4 = InvitationRewardActivity.this;
                            Toast.makeText(invitationRewardActivity4.activity, invitationRewardActivity4.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    InvitationRewardActivity invitationRewardActivity5 = InvitationRewardActivity.this;
                    Toast.makeText(invitationRewardActivity5.activity, invitationRewardActivity5.getString(R.string.error_no_login), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;
    public String invitationCode;
    public TextView tvScan;

    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i == 5 && i2 == -1 && intent != null) {
            this.etInvitationCode.setText(intent.getStringExtra("codedContent"));
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_invitation_reward);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.tvScan = (TextView) findViewById(R.id.tv_scan);
        this.etInvitationCode = (EditText) findViewById(R.id.et_invitation_code);
        this.btnConfirm = (Button) findViewById(R.id.btn_confirm);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$InvitationRewardActivity$RDW37atffh7BeSK2s9pw2_e6l2w */

            public final void onClick(View view) {
                InvitationRewardActivity.this.finish();
            }
        });
        this.tvScan.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$InvitationRewardActivity$4T9eK6k383onkL1tlUoH8j6WnuM */

            public final void onClick(View view) {
                InvitationRewardActivity invitationRewardActivity = InvitationRewardActivity.this;
                if (ContextCompat.checkSelfPermission(invitationRewardActivity.activity, "android.permission.CAMERA") != 0) {
                    ActivityCompat.requestPermissions(invitationRewardActivity, new String[]{"android.permission.CAMERA"}, 7);
                } else {
                    invitationRewardActivity.startCaptureActivityForResult();
                }
            }
        });
        this.btnConfirm.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$InvitationRewardActivity$CQW0M4PgRTeQdBqUM18dCry1HQ */

            public final void onClick(View view) {
                InvitationRewardActivity invitationRewardActivity = InvitationRewardActivity.this;
                invitationRewardActivity.invitationCode = invitationRewardActivity.etInvitationCode.getText().toString();
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(invitationRewardActivity.activity);
                loadingDialog.show();
                MainApplication mainApplication = invitationRewardActivity.application;
                mainApplication.executorService.execute(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0020: INVOKE  
                      (wrap: java.util.concurrent.ExecutorService : 0x001e: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v0 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$InvitationRewardActivity$JRAN5Eh_cH3V6tt7y9I3Xc2HzaA : 0x001b: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$InvitationRewardActivity$JRAN5Eh_cH3V6tt7y9I3Xc2HzaA) = 
                      (r4v1 'invitationRewardActivity' com.faster.cheetah.ui.InvitationRewardActivity)
                      (r0v4 'loadingDialog' android.app.Dialog)
                     call: com.faster.cheetah.ui.-$$Lambda$InvitationRewardActivity$JRAN5Eh_cH3V6tt7y9I3Xc2HzaA.<init>(com.faster.cheetah.ui.InvitationRewardActivity, android.app.Dialog):void type: CONSTRUCTOR)
                     type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$InvitationRewardActivity$CQW0M4PgR-TeQdBqUM18dCry1HQ.onClick(android.view.View):void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001b: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$InvitationRewardActivity$JRAN5Eh_cH3V6tt7y9I3Xc2HzaA) = 
                      (r4v1 'invitationRewardActivity' com.faster.cheetah.ui.InvitationRewardActivity)
                      (r0v4 'loadingDialog' android.app.Dialog)
                     call: com.faster.cheetah.ui.-$$Lambda$InvitationRewardActivity$JRAN5Eh_cH3V6tt7y9I3Xc2HzaA.<init>(com.faster.cheetah.ui.InvitationRewardActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$InvitationRewardActivity$CQW0M4PgR-TeQdBqUM18dCry1HQ.onClick(android.view.View):void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$InvitationRewardActivity$JRAN5Eh_cH3V6tt7y9I3Xc2HzaA, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                    this = this;
                    com.faster.cheetah.ui.InvitationRewardActivity r4 = com.faster.cheetah.ui.InvitationRewardActivity.this
                    android.widget.EditText r0 = r4.etInvitationCode
                    android.text.Editable r0 = r0.getText()
                    java.lang.String r0 = r0.toString()
                    r4.invitationCode = r0
                    com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                    android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                    r0.show()
                    com.faster.cheetah.MainApplication r1 = r4.application
                    com.faster.cheetah.ui.-$$Lambda$InvitationRewardActivity$JRAN5Eh_cH3V6tt7y9I3Xc2HzaA r2 = new com.faster.cheetah.ui.-$$Lambda$InvitationRewardActivity$JRAN5Eh_cH3V6tt7y9I3Xc2HzaA
                    r2.<init>(r4, r0)
                    java.util.concurrent.ExecutorService r4 = r1.executorService
                    r4.execute(r2)
                    return
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$InvitationRewardActivity$CQW0M4PgRTeQdBqUM18dCry1HQ.onClick(android.view.View):void");
            }
        });
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback, androidx.fragment.app.FragmentActivity
    public void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i, strArr, iArr);
        if (i != 7) {
            return;
        }
        if (iArr.length <= 0 || iArr[0] != 0) {
            Toast.makeText(this.activity, getString(R.string.open_camera_permission), 0).show();
        } else {
            startCaptureActivityForResult();
        }
    }

    public final void startCaptureActivityForResult() {
        Intent intent = new Intent(this.activity, CaptureActivity.class);
        ZxingConfig zxingConfig = new ZxingConfig();
        zxingConfig.setShowbottomLayout(true);
        zxingConfig.setPlayBeep(true);
        zxingConfig.setShake(true);
        zxingConfig.setShowAlbum(true);
        zxingConfig.setShowFlashLight(true);
        zxingConfig.setPlayBeep(true);
        zxingConfig.setShake(true);
        zxingConfig.setDecodeBarCode(true);
        zxingConfig.setReactColor(R.color.colorPrimary);
        zxingConfig.setFrameLineColor(R.color.colorWhite);
        zxingConfig.setFullScreenScan(true);
        intent.putExtra("zxingConfig", zxingConfig);
        startActivityForResult(intent, 6);
    }
}
