package com.faster.cheetah.ui;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import androidx.fragment.app.BackStackRecord;
import com.zfast.xyz.R;

public class LinePrivateActivity extends BaseActivity {
    public LinePrivateFragment linePrivateFragment;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_line_private);
        findViewById(R.id.img_back).setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateActivity.AnonymousClass1 */

            public void onClick(View view) {
                LinePrivateActivity.this.finish();
            }
        });
        findViewById(R.id.nav_add).setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePrivateActivity.AnonymousClass2 */

            public void onClick(View view) {
                LinePrivateActivity linePrivateActivity = LinePrivateActivity.this;
                BaseActivity baseActivity = linePrivateActivity.activity;
                int areaId = linePrivateActivity.linePrivateFragment.getAreaId();
                int i = LinePrivateBuyActivity.$r8$clinit;
                Intent intent = new Intent(baseActivity, LinePrivateBuyActivity.class);
                intent.putExtra("areaId", areaId);
                linePrivateActivity.startActivity(intent);
            }
        });
        this.linePrivateFragment = new LinePrivateFragment();
        BackStackRecord backStackRecord = new BackStackRecord(getSupportFragmentManager());
        backStackRecord.replace(R.id.container, this.linePrivateFragment);
        backStackRecord.commit();
    }
}
