package com.faster.cheetah.ui;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import androidx.fragment.app.BackStackRecord;
import com.zfast.xyz.R;

public class LinePublicActivity extends BaseActivity {
    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.FragmentActivity
    public void onActivityResult(int i, int i2, Intent intent) {
        super.onActivityResult(i, i2, intent);
        if (i2 == -1) {
            setResult(-1);
            finish();
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_line_public);
        ((ImageView) findViewById(R.id.img_back)).setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePublicActivity.AnonymousClass1 */

            public void onClick(View view) {
                LinePublicActivity.this.finish();
            }
        });
        findViewById(R.id.tv_detail).setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.LinePublicActivity.AnonymousClass2 */

            public void onClick(View view) {
                LinePublicActivity.this.startActivityForResult(new Intent(LinePublicActivity.this.activity, LinePrivateActivity.class), 0);
            }
        });
        BackStackRecord backStackRecord = new BackStackRecord(getSupportFragmentManager());
        backStackRecord.replace(R.id.container, new LinePublicFragment());
        backStackRecord.commit();
    }
}
