package com.faster.cheetah.ui;

import android.app.Dialog;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.ui.RegisterBindActivity;
import com.zfast.xyz.R;
import java.util.Objects;
import java.util.Timer;
import java.util.TimerTask;

public class RegisterBindActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public String account;
    public Button btnConfirm;
    public Button btnGetCode;
    public Timer checkTimer;
    public String code;
    public EditText etAccount;
    public EditText etCode;
    public EditText etPassword;
    public EditText etPasswordConfirm;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.RegisterBindActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!RegisterBindActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    RegisterBindActivity registerBindActivity = RegisterBindActivity.this;
                    Toast.makeText(registerBindActivity.activity, registerBindActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 120:
                            RegisterBindActivity.access$000(RegisterBindActivity.this);
                            return;
                        case 121:
                            Toast.makeText(RegisterBindActivity.this.activity, string, 0).show();
                            return;
                        case 122:
                            RegisterBindActivity registerBindActivity2 = RegisterBindActivity.this;
                            Toast.makeText(registerBindActivity2.activity, registerBindActivity2.getString(R.string.error_data_format), 0).show();
                            return;
                        case 123:
                            RegisterBindActivity registerBindActivity3 = RegisterBindActivity.this;
                            Toast.makeText(registerBindActivity3.activity, registerBindActivity3.getString(R.string.error_access), 0).show();
                            return;
                        case 124:
                            Toast.makeText(RegisterBindActivity.this.activity, string, 0).show();
                            RegisterBindActivity.this.finish();
                            return;
                        case 125:
                            Toast.makeText(RegisterBindActivity.this.activity, string, 0).show();
                            return;
                        case 126:
                            RegisterBindActivity registerBindActivity4 = RegisterBindActivity.this;
                            Toast.makeText(registerBindActivity4.activity, registerBindActivity4.getString(R.string.error_data_format), 0).show();
                            return;
                        case 127:
                            RegisterBindActivity registerBindActivity5 = RegisterBindActivity.this;
                            Toast.makeText(registerBindActivity5.activity, registerBindActivity5.getString(R.string.error_access), 0).show();
                            return;
                        case 128:
                            RegisterBindActivity.access$000(RegisterBindActivity.this);
                            return;
                        case 129:
                            Toast.makeText(RegisterBindActivity.this.activity, string, 0).show();
                            return;
                        case 130:
                            RegisterBindActivity registerBindActivity6 = RegisterBindActivity.this;
                            Toast.makeText(registerBindActivity6.activity, registerBindActivity6.getString(R.string.error_data_format), 0).show();
                            return;
                        case 131:
                            RegisterBindActivity registerBindActivity7 = RegisterBindActivity.this;
                            Toast.makeText(registerBindActivity7.activity, registerBindActivity7.getString(R.string.error_access), 0).show();
                            return;
                        case 132:
                            Toast.makeText(RegisterBindActivity.this.activity, string, 0).show();
                            RegisterBindActivity.this.finish();
                            return;
                        case 133:
                            Toast.makeText(RegisterBindActivity.this.activity, string, 0).show();
                            return;
                        case 134:
                            RegisterBindActivity registerBindActivity8 = RegisterBindActivity.this;
                            Toast.makeText(registerBindActivity8.activity, registerBindActivity8.getString(R.string.error_data_format), 0).show();
                            return;
                        case 135:
                            RegisterBindActivity registerBindActivity9 = RegisterBindActivity.this;
                            Toast.makeText(registerBindActivity9.activity, registerBindActivity9.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    RegisterBindActivity registerBindActivity10 = RegisterBindActivity.this;
                    Toast.makeText(registerBindActivity10.activity, registerBindActivity10.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;
    public String password;
    public int time = 0;
    public TextView tvAgreement;
    public TextView tvPrivacy;

    public static void access$000(RegisterBindActivity registerBindActivity) {
        Objects.requireNonNull(registerBindActivity);
        Timer timer = new Timer();
        registerBindActivity.checkTimer = timer;
        registerBindActivity.time = 90;
        timer.schedule(new TimerTask() {
            /* class com.faster.cheetah.ui.RegisterBindActivity.AnonymousClass2 */

            public void run() {
                RegisterBindActivity.this.runOnUiThread(new Runnable() {
                    /* class com.faster.cheetah.ui.$$Lambda$RegisterBindActivity$2$tQiOqu5IurVmEcBivTkLtskBzw */

                    public final void run() {
                        RegisterBindActivity.AnonymousClass2 r0 = RegisterBindActivity.AnonymousClass2.this;
                        RegisterBindActivity registerBindActivity = RegisterBindActivity.this;
                        int i = registerBindActivity.time - 1;
                        registerBindActivity.time = i;
                        if (i > 0) {
                            GeneratedOutlineSupport.outline30(RegisterBindActivity.this.time, new StringBuilder(), "S", registerBindActivity.btnGetCode);
                            return;
                        }
                        registerBindActivity.btnGetCode.setText(R.string.btn_get_code);
                        RegisterBindActivity.this.checkTimer.cancel();
                    }
                });
            }
        }, 0, 1000);
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_register_bind);
        this.etAccount = (EditText) findViewById(R.id.et_account);
        this.etCode = (EditText) findViewById(R.id.et_code);
        this.etPassword = (EditText) findViewById(R.id.et_password);
        this.etPasswordConfirm = (EditText) findViewById(R.id.et_password_confirm);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.btnGetCode = (Button) findViewById(R.id.btn_get_code);
        this.btnConfirm = (Button) findViewById(R.id.btn_confirm);
        CheckBox checkBox = (CheckBox) findViewById(R.id.cb_agree);
        this.tvAgreement = (TextView) findViewById(R.id.tv_agreement);
        this.tvPrivacy = (TextView) findViewById(R.id.tv_privacy);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$RegisterBindActivity$HAPwtgYVqnMySfREna6K2ZzRn1Q */

            public final void onClick(View view) {
                RegisterBindActivity.this.finish();
            }
        });
        this.tvAgreement.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$RegisterBindActivity$TMwbf4Pixz1sxO79YKIFWFuoHk */

            public final void onClick(View view) {
                Toast.makeText(RegisterBindActivity.this.activity, "agreement", 0).show();
            }
        });
        this.tvPrivacy.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$RegisterBindActivity$2NVw7yLl6ErdLIhKfiBf5bQwwk */

            public final void onClick(View view) {
                Toast.makeText(RegisterBindActivity.this.activity, "privacy", 0).show();
            }
        });
        this.btnGetCode.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$RegisterBindActivity$OPwHfyPyUON0m4S7_CRaGV9XU */

            public final void onClick(View view) {
                RegisterBindActivity registerBindActivity = RegisterBindActivity.this;
                if (registerBindActivity.time <= 0) {
                    registerBindActivity.account = registerBindActivity.etAccount.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(registerBindActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = registerBindActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0024: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x0022: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v0 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$IRU6tHyPsYxGpa-mGyVz59UtRrQ : 0x001f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$IRU6tHyPsYxGpa-mGyVz59UtRrQ) = (r4v1 'registerBindActivity' com.faster.cheetah.ui.RegisterBindActivity), (r0v5 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$IRU6tHyPsYxGpa-mGyVz59UtRrQ.<init>(com.faster.cheetah.ui.RegisterBindActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$OPwHfyPyUON-0m4S7_CRaGV9X-U.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:99)
                        	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:143)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:63)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$IRU6tHyPsYxGpa-mGyVz59UtRrQ) = (r4v1 'registerBindActivity' com.faster.cheetah.ui.RegisterBindActivity), (r0v5 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$IRU6tHyPsYxGpa-mGyVz59UtRrQ.<init>(com.faster.cheetah.ui.RegisterBindActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$OPwHfyPyUON-0m4S7_CRaGV9X-U.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 21 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$IRU6tHyPsYxGpa-mGyVz59UtRrQ, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 27 more
                        */
                    /*
                        this = this;
                        com.faster.cheetah.ui.RegisterBindActivity r4 = com.faster.cheetah.ui.RegisterBindActivity.this
                        int r0 = r4.time
                        if (r0 > 0) goto L_0x0027
                        android.widget.EditText r0 = r4.etAccount
                        android.text.Editable r0 = r0.getText()
                        java.lang.String r0 = r0.toString()
                        r4.account = r0
                        com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                        android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                        r0.show()
                        com.faster.cheetah.MainApplication r1 = r4.application
                        com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$IRU6tHyPsYxGpa-mGyVz59UtRrQ r2 = new com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$IRU6tHyPsYxGpa-mGyVz59UtRrQ
                        r2.<init>(r4, r0)
                        java.util.concurrent.ExecutorService r4 = r1.executorService
                        r4.execute(r2)
                    L_0x0027:
                        return
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$RegisterBindActivity$OPwHfyPyUON0m4S7_CRaGV9XU.onClick(android.view.View):void");
                }
            });
            this.btnConfirm.setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.ui.$$Lambda$RegisterBindActivity$BXDHzu5m1pRyvo6u4afIpfsU1WM */

                public final void onClick(View view) {
                    RegisterBindActivity registerBindActivity = RegisterBindActivity.this;
                    if (!registerBindActivity.etPassword.getText().toString().equals(registerBindActivity.etPasswordConfirm.getText().toString())) {
                        Toast.makeText(registerBindActivity.activity, registerBindActivity.getString(R.string.warm_password_different), 0).show();
                        return;
                    }
                    registerBindActivity.account = registerBindActivity.etAccount.getText().toString();
                    registerBindActivity.code = registerBindActivity.etCode.getText().toString();
                    registerBindActivity.password = registerBindActivity.etPassword.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(registerBindActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = registerBindActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0064: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x0062: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v3 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$RABKi5BEliFvkhDE3-ydbwhYRDY : 0x005f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$RABKi5BEliFvkhDE3-ydbwhYRDY) = (r4v1 'registerBindActivity' com.faster.cheetah.ui.RegisterBindActivity), (r0v14 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$RABKi5BEliFvkhDE3-ydbwhYRDY.<init>(com.faster.cheetah.ui.RegisterBindActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$BXDHzu5m1pRyvo6u4afIpfsU1WM.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x005f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$RABKi5BEliFvkhDE3-ydbwhYRDY) = (r4v1 'registerBindActivity' com.faster.cheetah.ui.RegisterBindActivity), (r0v14 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$RABKi5BEliFvkhDE3-ydbwhYRDY.<init>(com.faster.cheetah.ui.RegisterBindActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$BXDHzu5m1pRyvo6u4afIpfsU1WM.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 18 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$RegisterBindActivity$RABKi5BEliFvkhDE3-ydbwhYRDY, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 24 more
                        */
                    /*
                    // Method dump skipped, instructions count: 104
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$RegisterBindActivity$BXDHzu5m1pRyvo6u4afIpfsU1WM.onClick(android.view.View):void");
                }
            });
            ConfigEntity configEntity = this.application.configEntity;
            if (configEntity == null) {
                return;
            }
            if (configEntity.registerType.intValue() == 1) {
                this.etAccount.setHint(R.string.hint_input_mail);
            } else if (this.application.configEntity.registerType.intValue() == 2) {
                this.etAccount.setHint(R.string.hint_input_mobile);
            }
        }
    }
