package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.ui.RegisterMobileBindActivity;
import com.zfast.xyz.R;
import java.util.Objects;
import java.util.Timer;
import java.util.TimerTask;

@Deprecated
public class RegisterMobileBindActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public Button btnConfirm;
    public Button btnGetCode;
    public Timer checkTimer;
    public String code;
    public EditText etCode;
    public EditText etMobile;
    public EditText etPassword;
    public EditText etPasswordConfirm;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.RegisterMobileBindActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!RegisterMobileBindActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    RegisterMobileBindActivity registerMobileBindActivity = RegisterMobileBindActivity.this;
                    Toast.makeText(registerMobileBindActivity.context, registerMobileBindActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 128:
                            RegisterMobileBindActivity registerMobileBindActivity2 = RegisterMobileBindActivity.this;
                            Objects.requireNonNull(registerMobileBindActivity2);
                            Timer timer = new Timer();
                            registerMobileBindActivity2.checkTimer = timer;
                            registerMobileBindActivity2.time = 90;
                            timer.schedule(new TimerTask() {
                                /* class com.faster.cheetah.ui.RegisterMobileBindActivity.AnonymousClass2 */

                                public void run() {
                                    RegisterMobileBindActivity.this.runOnUiThread(new Runnable() {
                                        /* class com.faster.cheetah.ui.$$Lambda$RegisterMobileBindActivity$2$1fD5fUvFLYq6MplPthaUNO9M_m8 */

                                        public final void run() {
                                            RegisterMobileBindActivity.AnonymousClass2 r0 = RegisterMobileBindActivity.AnonymousClass2.this;
                                            RegisterMobileBindActivity registerMobileBindActivity = RegisterMobileBindActivity.this;
                                            int i = registerMobileBindActivity.time - 1;
                                            registerMobileBindActivity.time = i;
                                            if (i > 0) {
                                                GeneratedOutlineSupport.outline30(RegisterMobileBindActivity.this.time, new StringBuilder(), "S", registerMobileBindActivity.btnGetCode);
                                                return;
                                            }
                                            registerMobileBindActivity.btnGetCode.setText(R.string.btn_get_code);
                                            RegisterMobileBindActivity.this.checkTimer.cancel();
                                        }
                                    });
                                }
                            }, 0, 1000);
                            return;
                        case 129:
                            Toast.makeText(RegisterMobileBindActivity.this.context, string, 0).show();
                            return;
                        case 130:
                            RegisterMobileBindActivity registerMobileBindActivity3 = RegisterMobileBindActivity.this;
                            Toast.makeText(registerMobileBindActivity3.context, registerMobileBindActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 131:
                            RegisterMobileBindActivity registerMobileBindActivity4 = RegisterMobileBindActivity.this;
                            Toast.makeText(registerMobileBindActivity4.context, registerMobileBindActivity4.getString(R.string.error_access), 0).show();
                            return;
                        case 132:
                            Toast.makeText(RegisterMobileBindActivity.this.context, string, 0).show();
                            return;
                        case 133:
                            Toast.makeText(RegisterMobileBindActivity.this.context, string, 0).show();
                            return;
                        case 134:
                            RegisterMobileBindActivity registerMobileBindActivity5 = RegisterMobileBindActivity.this;
                            Toast.makeText(registerMobileBindActivity5.context, registerMobileBindActivity5.getString(R.string.error_data_format), 0).show();
                            return;
                        case 135:
                            RegisterMobileBindActivity registerMobileBindActivity6 = RegisterMobileBindActivity.this;
                            Toast.makeText(registerMobileBindActivity6.context, registerMobileBindActivity6.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    RegisterMobileBindActivity registerMobileBindActivity7 = RegisterMobileBindActivity.this;
                    Toast.makeText(registerMobileBindActivity7.context, registerMobileBindActivity7.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;
    public String mobile;
    public String password;
    public int time = 0;
    public TextView tvLogin;
    public TextView tvSwitch;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_register_mobile_bind);
        this.etMobile = (EditText) findViewById(R.id.et_mobile);
        this.etCode = (EditText) findViewById(R.id.et_code);
        this.etPassword = (EditText) findViewById(R.id.et_password);
        this.etPasswordConfirm = (EditText) findViewById(R.id.et_password_confirm);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.tvLogin = (TextView) findViewById(R.id.tv_login);
        this.tvSwitch = (TextView) findViewById(R.id.tv_switch);
        this.btnGetCode = (Button) findViewById(R.id.btn_get_code);
        this.btnConfirm = (Button) findViewById(R.id.btn_confirm);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$RegisterMobileBindActivity$MyOPxKd7_Hta9zj0j_QwCrCYyo */

            public final void onClick(View view) {
                RegisterMobileBindActivity.this.finish();
            }
        });
        this.tvLogin.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$RegisterMobileBindActivity$SbCM_p4Wr0Sxyji4FS9cMa_jbo */

            public final void onClick(View view) {
                RegisterMobileBindActivity registerMobileBindActivity = RegisterMobileBindActivity.this;
                Objects.requireNonNull(registerMobileBindActivity);
                registerMobileBindActivity.startActivity(new Intent(registerMobileBindActivity.context, LoginActivity.class));
                registerMobileBindActivity.finish();
            }
        });
        this.tvSwitch.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$RegisterMobileBindActivity$EyuOtiQ_LB9wnVcT89eeeag2iM */

            public final void onClick(View view) {
                RegisterMobileBindActivity registerMobileBindActivity = RegisterMobileBindActivity.this;
                Objects.requireNonNull(registerMobileBindActivity);
                registerMobileBindActivity.startActivity(new Intent(registerMobileBindActivity.context, RegisterBindActivity.class));
                registerMobileBindActivity.finish();
            }
        });
        this.btnGetCode.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$RegisterMobileBindActivity$phboMIVuCh3BRACDb6pGqmRLWwE */

            public final void onClick(View view) {
                RegisterMobileBindActivity registerMobileBindActivity = RegisterMobileBindActivity.this;
                if (registerMobileBindActivity.time <= 0) {
                    registerMobileBindActivity.mobile = registerMobileBindActivity.etMobile.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(registerMobileBindActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = registerMobileBindActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0024: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x0022: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v0 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$BQRT-pP61KhAoGBM3SUiFIm-VPc : 0x001f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$BQRT-pP61KhAoGBM3SUiFIm-VPc) = 
                          (r4v1 'registerMobileBindActivity' com.faster.cheetah.ui.RegisterMobileBindActivity)
                          (r0v5 'loadingDialog' android.app.Dialog)
                         call: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$BQRT-pP61KhAoGBM3SUiFIm-VPc.<init>(com.faster.cheetah.ui.RegisterMobileBindActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$phboMIVuCh3BRACDb6pGqmRLWwE.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:99)
                        	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:143)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:63)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$BQRT-pP61KhAoGBM3SUiFIm-VPc) = 
                          (r4v1 'registerMobileBindActivity' com.faster.cheetah.ui.RegisterMobileBindActivity)
                          (r0v5 'loadingDialog' android.app.Dialog)
                         call: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$BQRT-pP61KhAoGBM3SUiFIm-VPc.<init>(com.faster.cheetah.ui.RegisterMobileBindActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$phboMIVuCh3BRACDb6pGqmRLWwE.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 21 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$BQRT-pP61KhAoGBM3SUiFIm-VPc, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 27 more
                        */
                    /*
                        this = this;
                        com.faster.cheetah.ui.RegisterMobileBindActivity r4 = com.faster.cheetah.ui.RegisterMobileBindActivity.this
                        int r0 = r4.time
                        if (r0 > 0) goto L_0x0027
                        android.widget.EditText r0 = r4.etMobile
                        android.text.Editable r0 = r0.getText()
                        java.lang.String r0 = r0.toString()
                        r4.mobile = r0
                        com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                        android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                        r0.show()
                        com.faster.cheetah.MainApplication r1 = r4.application
                        com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$BQRT-pP61KhAoGBM3SUiFIm-VPc r2 = new com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$BQRT-pP61KhAoGBM3SUiFIm-VPc
                        r2.<init>(r4, r0)
                        java.util.concurrent.ExecutorService r4 = r1.executorService
                        r4.execute(r2)
                    L_0x0027:
                        return
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$RegisterMobileBindActivity$phboMIVuCh3BRACDb6pGqmRLWwE.onClick(android.view.View):void");
                }
            });
            this.btnConfirm.setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.ui.$$Lambda$RegisterMobileBindActivity$InjmOstan7xfwvAjgeZ1JKmCfU */

                public final void onClick(View view) {
                    RegisterMobileBindActivity registerMobileBindActivity = RegisterMobileBindActivity.this;
                    if (!registerMobileBindActivity.etPassword.getText().toString().equals(registerMobileBindActivity.etPasswordConfirm.getText().toString())) {
                        Toast.makeText(registerMobileBindActivity.context, registerMobileBindActivity.getString(R.string.warm_password_different), 0).show();
                        return;
                    }
                    registerMobileBindActivity.mobile = registerMobileBindActivity.etMobile.getText().toString();
                    registerMobileBindActivity.code = registerMobileBindActivity.etCode.getText().toString();
                    registerMobileBindActivity.password = registerMobileBindActivity.etPassword.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(registerMobileBindActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = registerMobileBindActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0064: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x0062: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v3 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$bEtb1EBXL2F1wiMfgdZAE50y-C8 : 0x005f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$bEtb1EBXL2F1wiMfgdZAE50y-C8) = 
                          (r4v1 'registerMobileBindActivity' com.faster.cheetah.ui.RegisterMobileBindActivity)
                          (r0v14 'loadingDialog' android.app.Dialog)
                         call: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$bEtb1EBXL2F1wiMfgdZAE50y-C8.<init>(com.faster.cheetah.ui.RegisterMobileBindActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$Injm-Ostan7xfwvAjgeZ1JKmCfU.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x005f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$bEtb1EBXL2F1wiMfgdZAE50y-C8) = 
                          (r4v1 'registerMobileBindActivity' com.faster.cheetah.ui.RegisterMobileBindActivity)
                          (r0v14 'loadingDialog' android.app.Dialog)
                         call: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$bEtb1EBXL2F1wiMfgdZAE50y-C8.<init>(com.faster.cheetah.ui.RegisterMobileBindActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$Injm-Ostan7xfwvAjgeZ1JKmCfU.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 18 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$RegisterMobileBindActivity$bEtb1EBXL2F1wiMfgdZAE50y-C8, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 24 more
                        */
                    /*
                    // Method dump skipped, instructions count: 104
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$RegisterMobileBindActivity$InjmOstan7xfwvAjgeZ1JKmCfU.onClick(android.view.View):void");
                }
            });
            ConfigEntity configEntity = this.application.configEntity;
            if (configEntity == null) {
                return;
            }
            if (configEntity.registerType.intValue() == 2) {
                this.tvSwitch.setVisibility(8);
            } else {
                this.tvSwitch.setVisibility(0);
            }
        }
    }
