package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.Toast;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.entity.PublicResponseEntity;
import com.faster.cheetah.entity.RetrievePasswordEntity;
import com.faster.cheetah.service.AlcedoService;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.zfast.xyz.R;
import okhttp3.FormBody;
import org.json.JSONException;
import org.json.JSONObject;

public class RetrievePasswordGetCodeActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public String account;
    public Button btnSend;
    public EditText etAccount;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.RetrievePasswordGetCodeActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!RetrievePasswordGetCodeActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    RetrievePasswordGetCodeActivity retrievePasswordGetCodeActivity = RetrievePasswordGetCodeActivity.this;
                    Toast.makeText(retrievePasswordGetCodeActivity.activity, retrievePasswordGetCodeActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 40:
                            RetrievePasswordGetCodeActivity retrievePasswordGetCodeActivity2 = RetrievePasswordGetCodeActivity.this;
                            Toast.makeText(retrievePasswordGetCodeActivity2.activity, retrievePasswordGetCodeActivity2.getString(R.string.error_access), 0).show();
                            return;
                        case 41:
                            RetrievePasswordGetCodeActivity retrievePasswordGetCodeActivity3 = RetrievePasswordGetCodeActivity.this;
                            Toast.makeText(retrievePasswordGetCodeActivity3.activity, retrievePasswordGetCodeActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 42:
                            RetrievePasswordGetCodeActivity.this.startActivity(new Intent(RetrievePasswordGetCodeActivity.this.activity, RetrievePasswordActivity.class));
                            return;
                        case 43:
                            Toast.makeText(RetrievePasswordGetCodeActivity.this.activity, string, 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    RetrievePasswordGetCodeActivity retrievePasswordGetCodeActivity4 = RetrievePasswordGetCodeActivity.this;
                    Toast.makeText(retrievePasswordGetCodeActivity4.activity, retrievePasswordGetCodeActivity4.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_retrieve_password_get_code);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.etAccount = (EditText) findViewById(R.id.et_account);
        this.btnSend = (Button) findViewById(R.id.btn_send_code);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.RetrievePasswordGetCodeActivity.AnonymousClass2 */

            public void onClick(View view) {
                RetrievePasswordGetCodeActivity.this.finish();
            }
        });
        this.btnSend.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.RetrievePasswordGetCodeActivity.AnonymousClass3 */

            public void onClick(View view) {
                RetrievePasswordGetCodeActivity retrievePasswordGetCodeActivity = RetrievePasswordGetCodeActivity.this;
                retrievePasswordGetCodeActivity.account = retrievePasswordGetCodeActivity.etAccount.getText().toString();
                RetrievePasswordGetCodeActivity retrievePasswordGetCodeActivity2 = RetrievePasswordGetCodeActivity.this;
                Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(retrievePasswordGetCodeActivity2.activity);
                loadingDialog.show();
                MainApplication mainApplication = retrievePasswordGetCodeActivity2.application;
                mainApplication.executorService.execute(new Runnable(loadingDialog) {
                    /* class com.faster.cheetah.ui.$$Lambda$RetrievePasswordGetCodeActivity$xXS1umOmHJc_J3htN7aVmAf78I */
                    public final /* synthetic */ Dialog f$1;

                    {
                        this.f$1 = r2;
                    }

                    /* JADX WARNING: Code restructure failed: missing block: B:5:0x0022, code lost:
                        if (2 != r4.what) goto L_0x00c9;
                     */
                    public final void run() {
                        RetrievePasswordGetCodeActivity retrievePasswordGetCodeActivity = RetrievePasswordGetCodeActivity.this;
                        Dialog dialog = this.f$1;
                        AlcedoService alcedoService = retrievePasswordGetCodeActivity.application.alcedoService;
                        if (alcedoService != null) {
                            String str = retrievePasswordGetCodeActivity.account;
                            Message message = new Message();
                            if (TextUtils.isEmpty(alcedoService.application.serverDomain)) {
                                message = alcedoService.getAvailableServerDomain();
                            }
                            StringBuilder sb = new StringBuilder();
                            sb.append(alcedoService.application.serverDomain);
                            sb.append("?p=apido&c=1&t=user_resetpwd_email_send&lang=");
                            GeneratedOutlineSupport.outline31(alcedoService.application, sb, "&v=");
                            String outline8 = GeneratedOutlineSupport.outline8(alcedoService.context, sb);
                            FormBody.Builder builder = new FormBody.Builder();
                            builder.add("email", str);
                            String httpRequest = alcedoService.httpRequest(outline8, builder);
                            if (httpRequest != null) {
                                try {
                                    PublicResponseEntity publicResponseEntity = (PublicResponseEntity) new Gson().fromJson(new JSONObject(httpRequest).toString(), PublicResponseEntity.class);
                                    int i = publicResponseEntity.code;
                                    if (1 == i) {
                                        message.what = 42;
                                        RetrievePasswordEntity retrievePasswordEntity = new RetrievePasswordEntity();
                                        retrievePasswordEntity.mail = str;
                                        retrievePasswordEntity.code = publicResponseEntity.data;
                                        if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(retrievePasswordEntity.code)) {
                                            alcedoService.application.retrievePasswordEntity = retrievePasswordEntity;
                                        }
                                    } else if (401 == i) {
                                        message.what = -1;
                                        Bundle bundle = new Bundle();
                                        bundle.putString("msg", publicResponseEntity.msg);
                                        message.setData(bundle);
                                    } else {
                                        message.what = 43;
                                        Bundle bundle2 = new Bundle();
                                        bundle2.putString("msg", publicResponseEntity.msg);
                                        message.setData(bundle2);
                                    }
                                } catch (JsonSyntaxException | JSONException e) {
                                    e.printStackTrace();
                                    message.what = 41;
                                }
                            } else {
                                message.what = 40;
                            }
                            retrievePasswordGetCodeActivity.handler.sendMessage(message);
                        }
                        retrievePasswordGetCodeActivity.runOnUiThread(
                        /*  JADX ERROR: Method code generation error
                            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00d3: INVOKE  
                              (r0v0 'retrievePasswordGetCodeActivity' com.faster.cheetah.ui.RetrievePasswordGetCodeActivity)
                              (wrap: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordGetCodeActivity$2QAP01FxQSv8eqGYb9DaD_ihFck : 0x00d0: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$RetrievePasswordGetCodeActivity$2QAP01FxQSv8eqGYb9DaD_ihFck) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordGetCodeActivity$2QAP01FxQSv8eqGYb9DaD_ihFck.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                             type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordGetCodeActivity$xXS1umOmHJc_J-3htN7aVmAf78I.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                            	at java.util.ArrayList.forEach(ArrayList.java:1259)
                            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x00d0: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$RetrievePasswordGetCodeActivity$2QAP01FxQSv8eqGYb9DaD_ihFck) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordGetCodeActivity$2QAP01FxQSv8eqGYb9DaD_ihFck.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordGetCodeActivity$xXS1umOmHJc_J-3htN7aVmAf78I.run():void, file: classes.dex
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                            	... 14 more
                            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$RetrievePasswordGetCodeActivity$2QAP01FxQSv8eqGYb9DaD_ihFck, state: NOT_LOADED
                            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                            	... 20 more
                            */
                        /* JADX WARNING: Code restructure failed: missing block: B:5:0x0022, code lost:
                            if (2 != r4.what) goto L_0x00c9;
                         */
                        /*
                        // Method dump skipped, instructions count: 215
                        */
                        throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$RetrievePasswordGetCodeActivity$xXS1umOmHJc_J3htN7aVmAf78I.run():void");
                    }
                });
            }
        });
    }
}
