package com.faster.cheetah.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.swiperefreshlayout.widget.SwipeRefreshLayout;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.adapter.ShareListAdapter;
import com.faster.cheetah.entity.ShareDataEntity;
import com.faster.cheetah.service.AlcedoService;
import com.zfast.xyz.R;

public class ShareListActivity extends BaseActivity {
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.ShareListActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!ShareListActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    ShareListActivity shareListActivity = ShareListActivity.this;
                    Toast.makeText(shareListActivity.activity, shareListActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 168:
                            ShareListActivity shareListActivity2 = ShareListActivity.this;
                            ShareDataEntity shareDataEntity = shareListActivity2.application.shareDataEntity;
                            if (shareDataEntity != null) {
                                shareListActivity2.tvCount.setText(String.valueOf(shareDataEntity.count));
                                ShareListAdapter shareListAdapter = shareListActivity2.shareListAdapter;
                                if (shareListAdapter != null) {
                                    shareListAdapter.shareUserEntityList = shareListActivity2.application.shareDataEntity.shareUserList;
                                    shareListAdapter.notifyDataSetChanged();
                                    return;
                                }
                                return;
                            }
                            return;
                        case 169:
                            Toast.makeText(ShareListActivity.this.activity, string, 0).show();
                            return;
                        case 170:
                            ShareListActivity shareListActivity3 = ShareListActivity.this;
                            Toast.makeText(shareListActivity3.activity, shareListActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 171:
                            ShareListActivity shareListActivity4 = ShareListActivity.this;
                            Toast.makeText(shareListActivity4.activity, shareListActivity4.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    ShareListActivity shareListActivity5 = ShareListActivity.this;
                    Toast.makeText(shareListActivity5.activity, shareListActivity5.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;
    public RecyclerView recyclerView;
    public ShareListAdapter shareListAdapter;
    public SwipeRefreshLayout swipeRefreshLayout;
    public TextView tvCount;

    public final void GetMyShareTask() {
        SwipeRefreshLayout swipeRefreshLayout2 = this.swipeRefreshLayout;
        if (!swipeRefreshLayout2.mRefreshing) {
            swipeRefreshLayout2.setRefreshing(true);
        }
        MainApplication mainApplication = this.application;
        mainApplication.executorService.execute(new Runnable() {
            /* class com.faster.cheetah.ui.$$Lambda$ShareListActivity$PTMc19aAA0UFvJ95l98D4DhPWCI */

            public final void run() {
                ShareListActivity shareListActivity = ShareListActivity.this;
                AlcedoService alcedoService = shareListActivity.application.alcedoService;
                if (alcedoService != null) {
                    shareListActivity.handler.sendMessage(alcedoService.getMyShare());
                }
                shareListActivity.runOnUiThread(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0016: INVOKE  
                      (r0v0 'shareListActivity' com.faster.cheetah.ui.ShareListActivity)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$ShareListActivity$DYsYvKbGK0cS-zLuZjnfCi2rm_c : 0x0013: CONSTRUCTOR  (r1v2 com.faster.cheetah.ui.-$$Lambda$ShareListActivity$DYsYvKbGK0cS-zLuZjnfCi2rm_c) = (r0v0 'shareListActivity' com.faster.cheetah.ui.ShareListActivity) call: com.faster.cheetah.ui.-$$Lambda$ShareListActivity$DYsYvKbGK0cS-zLuZjnfCi2rm_c.<init>(com.faster.cheetah.ui.ShareListActivity):void type: CONSTRUCTOR)
                     type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$ShareListActivity$PTMc19aAA0UFvJ95l98D4DhPWCI.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0013: CONSTRUCTOR  (r1v2 com.faster.cheetah.ui.-$$Lambda$ShareListActivity$DYsYvKbGK0cS-zLuZjnfCi2rm_c) = (r0v0 'shareListActivity' com.faster.cheetah.ui.ShareListActivity) call: com.faster.cheetah.ui.-$$Lambda$ShareListActivity$DYsYvKbGK0cS-zLuZjnfCi2rm_c.<init>(com.faster.cheetah.ui.ShareListActivity):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$ShareListActivity$PTMc19aAA0UFvJ95l98D4DhPWCI.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$ShareListActivity$DYsYvKbGK0cS-zLuZjnfCi2rm_c, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                    this = this;
                    com.faster.cheetah.ui.ShareListActivity r0 = com.faster.cheetah.ui.ShareListActivity.this
                    com.faster.cheetah.MainApplication r1 = r0.application
                    com.faster.cheetah.service.AlcedoService r1 = r1.alcedoService
                    if (r1 == 0) goto L_0x0011
                    android.os.Message r1 = r1.getMyShare()
                    android.os.Handler r2 = r0.handler
                    r2.sendMessage(r1)
                L_0x0011:
                    com.faster.cheetah.ui.-$$Lambda$ShareListActivity$DYsYvKbGK0cS-zLuZjnfCi2rm_c r1 = new com.faster.cheetah.ui.-$$Lambda$ShareListActivity$DYsYvKbGK0cS-zLuZjnfCi2rm_c
                    r1.<init>(r0)
                    r0.runOnUiThread(r1)
                    return
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$ShareListActivity$PTMc19aAA0UFvJ95l98D4DhPWCI.run():void");
            }
        });
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_share_list);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.tvCount = (TextView) findViewById(R.id.tv_count);
        this.swipeRefreshLayout = (SwipeRefreshLayout) findViewById(R.id.swipe_share);
        this.recyclerView = (RecyclerView) findViewById(R.id.recycler_share);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$ShareListActivity$OumnAi5rH_ymUfrz1livQF0iEno */

            public final void onClick(View view) {
                ShareListActivity.this.finish();
            }
        });
        this.recyclerView.setLayoutManager(new LinearLayoutManager(this.activity));
        ShareListAdapter shareListAdapter2 = new ShareListAdapter(null);
        this.shareListAdapter = shareListAdapter2;
        this.recyclerView.setAdapter(shareListAdapter2);
        this.swipeRefreshLayout.setColorSchemeColors(ContextCompat.getColor(this.activity, R.color.colorPrimary));
        this.swipeRefreshLayout.setOnRefreshListener(new SwipeRefreshLayout.OnRefreshListener() {
            /* class com.faster.cheetah.ui.$$Lambda$ShareListActivity$cQyc3lt_Qq9zhCvYMZyV3QhLvv0 */

            @Override // androidx.swiperefreshlayout.widget.SwipeRefreshLayout.OnRefreshListener
            public final void onRefresh() {
                ShareListActivity.this.GetMyShareTask();
            }
        });
        GetMyShareTask();
    }
}
