package com.faster.cheetah.ui;

import android.content.ActivityNotFoundException;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.widget.ImageView;
import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.entity.ThirdPayEntity;
import com.zfast.xyz.R;

public class UrlPayActivity extends BaseActivity {
    public ImageView imgBack;

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        super.onBackPressed();
        setResult(-1);
    }

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_url_pay);
        ImageView imageView = (ImageView) findViewById(R.id.img_back);
        this.imgBack = imageView;
        imageView.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$UrlPayActivity$xO7UrjABRKXnGwIZTF50larCyF0 */

            public final void onClick(View view) {
                UrlPayActivity urlPayActivity = UrlPayActivity.this;
                urlPayActivity.setResult(-1);
                urlPayActivity.finish();
            }
        });
        if (ThirdPayEntity.KEY_OPEN_URL.equals(this.application.thirdPayEntity.key)) {
            try {
                startActivity(new Intent("android.intent.action.VIEW", Uri.parse(this.application.thirdPayEntity.value)));
            } catch (ActivityNotFoundException unused) {
                String stringExtra = getIntent().getStringExtra("payName");
                BaseActivity baseActivity = this.activity;
                ViewGroupUtilsApi14.show(baseActivity, "支付失败：未安装" + stringExtra);
            }
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity
    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (keyEvent.getKeyCode() == 4) {
            setResult(-1);
        }
        return super.onKeyDown(i, keyEvent);
    }
}
