package com.github.shadowsocks.acl;

import com.github.shadowsocks.net.Subnet;
import kotlin.jvm.functions.Function1;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;

/* compiled from: AclMatcher.kt */
public final class AclMatcher$init$3$1$iterator$1 extends Lambda implements Function1<Subnet, Subnet.Immutable> {
    public static final AclMatcher$init$3$1$iterator$1 INSTANCE = new AclMatcher$init$3$1$iterator$1();

    public AclMatcher$init$3$1$iterator$1() {
        super(1);
    }

    public final Subnet.Immutable invoke(Subnet subnet) {
        Intrinsics.checkParameterIsNotNull(subnet, "it");
        byte[] address = subnet.address.getAddress();
        int i = subnet.prefixSize;
        int i2 = i / 8;
        if (i % 8 > 0) {
            address[i2] = (byte) ((-(1 << (((i2 * 8) + 8) - i))) & address[i2]);
            i2++;
        }
        while (i2 < address.length) {
            address[i2] = 0;
            i2++;
        }
        Intrinsics.checkExpressionValueIsNotNull(address, "address.address.also {\n …t.size) it[i++] = 0\n    }");
        return new Subnet.Immutable(address, subnet.prefixSize);
    }
}
