package com.github.shadowsocks.net;

import android.util.Log;
import com.github.shadowsocks.utils.UtilsKt;
import java.io.IOException;
import kotlin.coroutines.AbstractCoroutineContextElement;
import kotlin.coroutines.CoroutineContext;
import kotlin.jvm.internal.Intrinsics;
import kotlin.reflect.KProperty;
import kotlinx.coroutines.CoroutineExceptionHandler;
import net.xfkefu.sdk.retrofit.Retrofit2;

/* compiled from: CoroutineExceptionHandler.kt */
public final class LocalDnsServer$$special$$inlined$CoroutineExceptionHandler$1 extends AbstractCoroutineContextElement implements CoroutineExceptionHandler {
    public LocalDnsServer$$special$$inlined$CoroutineExceptionHandler$1(CoroutineContext.Key key) {
        super(key);
    }

    @Override // kotlinx.coroutines.CoroutineExceptionHandler
    public void handleException(CoroutineContext coroutineContext, Throwable th) {
        Intrinsics.checkParameterIsNotNull(coroutineContext, "context");
        Intrinsics.checkParameterIsNotNull(th, Retrofit2.RESP_CODE_EXCEPTION);
        if (th instanceof IOException) {
            Log.w("LocalDnsServer", th.getMessage());
            return;
        }
        KProperty[] kPropertyArr = UtilsKt.$$delegatedProperties;
        Intrinsics.checkParameterIsNotNull(th, "t");
        Log.e("", "", th);
        th.printStackTrace();
    }
}
