package com.github.shadowsocks.utils;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.app.Application;
import android.content.Context;
import kotlin.jvm.internal.Intrinsics;

@SuppressLint({"Registered"})
@TargetApi(24)
/* compiled from: DeviceStorageApp.kt */
public final class DeviceStorageApp extends Application {
    public DeviceStorageApp(Context context) {
        Intrinsics.checkParameterIsNotNull(context, "context");
        attachBaseContext(context.createDeviceProtectedStorageContext());
    }

    public Context getApplicationContext() {
        return this;
    }
}
