package com.github.shadowsocks.utils;

import androidx.lifecycle.DefaultLifecycleObserver;
import androidx.lifecycle.LifecycleOwner;
import java.util.LinkedHashSet;
import java.util.Set;

/* compiled from: SingleInstanceActivity.kt */
public final class SingleInstanceActivity implements DefaultLifecycleObserver {
    public static final Set<Class<LifecycleOwner>> active = new LinkedHashSet();

    static {
        new SingleInstanceActivity();
    }

    private SingleInstanceActivity() {
    }
}
