package com.unionpay.tsmservice.data;

import android.os.Parcel;
import android.os.Parcelable;

public class Amount implements Parcelable {
    public static final Parcelable.Creator CREATOR = new Parcelable.Creator() {
        /* class com.unionpay.tsmservice.data.Amount.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public final Object createFromParcel(Parcel parcel) {
            return new Amount(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public final Object[] newArray(int i) {
            return new Amount[i];
        }
    };
    public String mCurrencyType = "CNY";
    public String mProductPrice = "0.0";

    public Amount(Parcel parcel) {
        this.mCurrencyType = parcel.readString();
        this.mProductPrice = parcel.readString();
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.mCurrencyType);
        parcel.writeString(this.mProductPrice);
    }
}
