package com.unionpay.tsmservice.data;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class TransactionDetail implements Parcelable {
    public static final Parcelable.Creator CREATOR = new Parcelable.Creator() {
        /* class com.unionpay.tsmservice.data.TransactionDetail.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public final Object createFromParcel(Parcel parcel) {
            return new TransactionDetail(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public final Object[] newArray(int i) {
            return new TransactionDetail[i];
        }
    };
    public Bundle mDetail;
    public MessageDetail[] mMessageDetails;

    public TransactionDetail(Parcel parcel) {
        this.mDetail = parcel.readBundle();
        this.mMessageDetails = (MessageDetail[]) parcel.createTypedArray(MessageDetail.CREATOR);
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeBundle(this.mDetail);
        parcel.writeTypedArray(this.mMessageDetails, i);
    }
}
