package com.unionpay.tsmservice.request;

import android.os.Parcel;
import android.os.Parcelable;

public class OpenChannelRequestParams extends RequestParams {
    public static final Parcelable.Creator CREATOR = new Parcelable.Creator() {
        /* class com.unionpay.tsmservice.request.OpenChannelRequestParams.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public final Object createFromParcel(Parcel parcel) {
            return new OpenChannelRequestParams(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public final Object[] newArray(int i) {
            return new OpenChannelRequestParams[i];
        }
    };
    public String mAppAID;

    public OpenChannelRequestParams(Parcel parcel) {
        super(parcel);
        this.mAppAID = parcel.readString();
    }

    @Override // com.unionpay.tsmservice.request.RequestParams
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.mReserve);
        parcel.writeString(this.mAppAID);
    }
}
