package com.unionpay.tsmservice.result;

import android.os.Parcel;
import android.os.Parcelable;

public class OpenChannelResult implements Parcelable {
    public static final Parcelable.Creator CREATOR = new Parcelable.Creator() {
        /* class com.unionpay.tsmservice.result.OpenChannelResult.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public final Object createFromParcel(Parcel parcel) {
            return new OpenChannelResult(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public final Object[] newArray(int i) {
            return new OpenChannelResult[i];
        }
    };
    public String channel;
    public String outHexApdu;

    public OpenChannelResult(Parcel parcel) {
        this.outHexApdu = parcel.readString();
        this.channel = parcel.readString();
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.outHexApdu);
        parcel.writeString(this.channel);
    }
}
