package io.netty.channel;

import io.netty.util.concurrent.AbstractEventExecutor;

public abstract class AbstractEventLoop extends AbstractEventExecutor implements EventLoop {
    public AbstractEventLoop() {
    }

    public AbstractEventLoop(EventLoopGroup eventLoopGroup) {
        super(eventLoopGroup);
    }

    @Override // io.netty.util.concurrent.EventExecutor, io.netty.channel.EventLoopGroup, io.netty.util.concurrent.EventExecutorGroup, io.netty.util.concurrent.AbstractEventExecutor
    public EventLoop next() {
        return (EventLoop) super.next();
    }

    @Override // io.netty.util.concurrent.EventExecutor, io.netty.channel.EventLoop, io.netty.util.concurrent.AbstractEventExecutor
    public EventLoopGroup parent() {
        return (EventLoopGroup) super.parent();
    }
}
