package io.netty.util;

public interface BooleanSupplier {
    public static final BooleanSupplier FALSE_SUPPLIER = new BooleanSupplier() {
        /* class io.netty.util.BooleanSupplier.AnonymousClass1 */

        @Override // io.netty.util.BooleanSupplier
        public boolean get() {
            return false;
        }
    };
    public static final BooleanSupplier TRUE_SUPPLIER = new BooleanSupplier() {
        /* class io.netty.util.BooleanSupplier.AnonymousClass2 */

        @Override // io.netty.util.BooleanSupplier
        public boolean get() {
            return true;
        }
    };

    boolean get();
}
