package kotlinx.coroutines;

import java.util.Objects;
import kotlinx.coroutines.scheduling.DefaultScheduler;

/* compiled from: Dispatchers.kt */
public abstract class Dispatchers {
    public static final CoroutineDispatcher Default = (CoroutineContextKt.useCoroutinesScheduler ? DefaultScheduler.INSTANCE : CommonPool.INSTANCE);
    public static final CoroutineDispatcher IO = DefaultScheduler.IO;
    public static final CoroutineDispatcher Unconfined = Unconfined.INSTANCE;

    static {
        Objects.requireNonNull(DefaultScheduler.INSTANCE);
    }
}
