package kotlinx.coroutines;

import kotlin.jvm.internal.Intrinsics;

/* compiled from: Supervisor.kt */
public final class SupervisorJobImpl extends JobImpl {
    public SupervisorJobImpl(Job job) {
        super(job);
    }

    @Override // kotlinx.coroutines.JobSupport
    public boolean childCancelled(Throwable th) {
        Intrinsics.checkParameterIsNotNull(th, "cause");
        return false;
    }
}
