package kotlinx.coroutines.channels;

import java.util.concurrent.CancellationException;
import kotlin.coroutines.Continuation;
import kotlinx.coroutines.channels.AbstractChannel;

/* compiled from: Channel.kt */
public interface ReceiveChannel<E> {
    void cancel(CancellationException cancellationException);

    AbstractChannel.Itr<E> iterator();

    E poll();

    Object receive(Continuation<? super E> continuation);
}
