package net.lucode.hackware.magicindicator;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;
import net.lucode.hackware.magicindicator.abs.IPagerNavigator;

public class MagicIndicator extends FrameLayout {
    public IPagerNavigator mNavigator;

    public MagicIndicator(Context context) {
        super(context);
    }

    public IPagerNavigator getNavigator() {
        return this.mNavigator;
    }

    public void setNavigator(IPagerNavigator iPagerNavigator) {
        IPagerNavigator iPagerNavigator2 = this.mNavigator;
        if (iPagerNavigator2 != iPagerNavigator) {
            if (iPagerNavigator2 != null) {
                iPagerNavigator2.onDetachFromMagicIndicator();
            }
            this.mNavigator = iPagerNavigator;
            removeAllViews();
            if (this.mNavigator instanceof View) {
                addView((View) this.mNavigator, new FrameLayout.LayoutParams(-1, -1));
                this.mNavigator.onAttachToMagicIndicator();
            }
        }
    }

    public MagicIndicator(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
