package okhttp3.internal.concurrent;

import com.faster.cheetah.sdk.strongswan.data.VpnProfileDataSource;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: Task.kt */
public abstract class Task {
    public final boolean cancelable;
    public final String name;
    public long nextExecuteNanoTime = -1;
    public TaskQueue queue;

    public Task(String str, boolean z) {
        Intrinsics.checkNotNullParameter(str, VpnProfileDataSource.KEY_NAME);
        this.name = str;
        this.cancelable = z;
    }

    public abstract long runOnce();

    public String toString() {
        return this.name;
    }
}
