package okhttp3.internal.http;

import com.allpayx.sdk.util.HttpUtil;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: HttpMethod.kt */
public abstract class HttpMethod {
    public static final boolean permitsRequestBody(String str) {
        Intrinsics.checkNotNullParameter(str, "method");
        return !Intrinsics.areEqual(str, HttpUtil.METHOD_GET) && !Intrinsics.areEqual(str, "HEAD");
    }
}
