package org.xbill.DNS;

import java.security.PublicKey;

public class CDNSKEYRecord extends DNSKEYRecord {
    private static final long serialVersionUID = 1307874430666933615L;

    public CDNSKEYRecord() {
    }

    @Override // org.xbill.DNS.DNSKEYRecord, org.xbill.DNS.Record
    public Record getObject() {
        return new CDNSKEYRecord();
    }

    public CDNSKEYRecord(Name name, int i, long j, int i2, int i3, int i4, byte[] bArr) {
        super(name, 60, i, j, i2, i3, i4, bArr);
    }

    public CDNSKEYRecord(Name name, int i, long j, int i2, int i3, int i4, PublicKey publicKey) {
        super(name, 60, i, j, i2, i3, i4, DNSSEC.fromPublicKey(publicKey, i4));
    }
}
