package androidx.constraintlayout.motion.widget;

import android.view.View;
import androidx.constraintlayout.motion.widget.ViewTransition;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.constraintlayout.widget.SharedValues;
import java.util.ArrayList;
import java.util.HashSet;

public class ViewTransitionController {
    public ArrayList<ViewTransition.Animate> animations;
    public final MotionLayout mMotionLayout;
    public HashSet<View> mRelatedViews;
    public ArrayList<ViewTransition.Animate> removeList = new ArrayList<>();
    public ArrayList<ViewTransition> viewTransitions = new ArrayList<>();

    public ViewTransitionController(MotionLayout motionLayout) {
        this.mMotionLayout = motionLayout;
    }

    public final void listenForSharedVariable(ViewTransition viewTransition, boolean z) {
        ConstraintLayout.getSharedValues().addListener(viewTransition.mSharedValueID, new SharedValues.SharedValuesListener(this, viewTransition, viewTransition.mSharedValueID, z, viewTransition.mSharedValueTarget) {
            /* class androidx.constraintlayout.motion.widget.ViewTransitionController.AnonymousClass1 */
        });
    }
}
