package androidx.core.widget;

public class AutoScrollHelper$ClampedScroller {
    public long mDeltaTime = 0;
    public int mDeltaX = 0;
    public int mDeltaY = 0;
    public int mEffectiveRampDown;
    public int mRampDownDuration;
    public int mRampUpDuration;
    public long mStartTime = Long.MIN_VALUE;
    public long mStopTime = -1;
    public float mStopValue;
    public float mTargetVelocityX;
    public float mTargetVelocityY;

    public final float getValueAt(long j) {
        long j2 = this.mStartTime;
        if (j < j2) {
            return 0.0f;
        }
        long j3 = this.mStopTime;
        if (j3 < 0 || j < j3) {
            return ListViewAutoScrollHelper.constrain(((float) (j - j2)) / ((float) this.mRampUpDuration), 0.0f, 1.0f) * 0.5f;
        }
        float f = this.mStopValue;
        return (ListViewAutoScrollHelper.constrain(((float) (j - j3)) / ((float) this.mEffectiveRampDown), 0.0f, 1.0f) * f) + (1.0f - f);
    }
}
