package androidx.emoji.widget;

import android.annotation.SuppressLint;
import android.text.Editable;

public final class EmojiEditableFactory extends Editable.Factory {
    public static volatile Editable.Factory sInstance;
    public static final Object sInstanceLock = new Object();
    public static Class<?> sWatcherClass;

    @SuppressLint({"PrivateApi"})
    public EmojiEditableFactory() {
        try {
            sWatcherClass = Class.forName("android.text.DynamicLayout$ChangeWatcher", false, getClass().getClassLoader());
        } catch (Throwable unused) {
        }
    }

    public Editable newEditable(CharSequence charSequence) {
        Class<?> cls = sWatcherClass;
        if (cls != null) {
            return new SpannableBuilder(cls, charSequence);
        }
        return super.newEditable(charSequence);
    }
}
