package androidx.media;

import android.annotation.TargetApi;
import android.media.AudioAttributes;
import com.android.tools.r8.GeneratedOutlineSupport;

@TargetApi(21)
public class AudioAttributesImplApi21 implements AudioAttributesImpl {
    public AudioAttributes mAudioAttributes;
    public int mLegacyStreamType = -1;

    public boolean equals(Object obj) {
        if (!(obj instanceof AudioAttributesImplApi21)) {
            return false;
        }
        return this.mAudioAttributes.equals(((AudioAttributesImplApi21) obj).mAudioAttributes);
    }

    public int hashCode() {
        return this.mAudioAttributes.hashCode();
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("AudioAttributesCompat: audioattributes=");
        outline25.append(this.mAudioAttributes);
        return outline25.toString();
    }
}
