package androidx.room;

import android.os.IBinder;
import android.os.Parcel;
import androidx.room.MultiInstanceInvalidationClient;

public class IMultiInstanceInvalidationCallback$Stub$Proxy implements IMultiInstanceInvalidationCallback {
    public IBinder mRemote;

    public IMultiInstanceInvalidationCallback$Stub$Proxy(IBinder iBinder) {
        this.mRemote = iBinder;
    }

    public IBinder asBinder() {
        return this.mRemote;
    }

    @Override // androidx.room.IMultiInstanceInvalidationCallback
    public void onInvalidation(String[] strArr) {
        Parcel obtain = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("androidx.room.IMultiInstanceInvalidationCallback");
            obtain.writeStringArray(strArr);
            if (!this.mRemote.transact(1, obtain, null, 1)) {
                int i = MultiInstanceInvalidationClient.AnonymousClass1.$r8$clinit;
            }
        } finally {
            obtain.recycle();
        }
    }
}
