package com.alipay.a.a;

import androidx.transition.ViewGroupUtilsApi14;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.IdentityHashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Properties;
import java.util.SortedMap;
import java.util.TreeMap;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import org.json.alipay.b;

public final class h implements i, j {
    @Override // com.alipay.a.a.j
    public final Object a(Object obj) {
        TreeMap treeMap = new TreeMap();
        for (Map.Entry entry : ((Map) obj).entrySet()) {
            if (entry.getKey() instanceof String) {
                treeMap.put((String) entry.getKey(), f.b(entry.getValue()));
            } else {
                throw new IllegalArgumentException("Map key must be String!");
            }
        }
        return treeMap;
    }

    @Override // com.alipay.a.a.i
    public final Object a(Object obj, Type type) {
        Map properties;
        if (!obj.getClass().equals(b.class)) {
            return null;
        }
        b bVar = (b) obj;
        Type type2 = type;
        while (true) {
            if (type2 == Properties.class) {
                properties = new Properties();
                break;
            } else if (type2 == Hashtable.class) {
                properties = new Hashtable();
                break;
            } else if (type2 == IdentityHashMap.class) {
                properties = new IdentityHashMap();
                break;
            } else if (type2 == SortedMap.class || type2 == TreeMap.class) {
                properties = new TreeMap();
            } else if (type2 == ConcurrentMap.class || type2 == ConcurrentHashMap.class) {
                properties = new ConcurrentHashMap();
            } else if (type2 == Map.class || type2 == HashMap.class) {
                properties = new HashMap();
            } else if (type2 == LinkedHashMap.class) {
                properties = new LinkedHashMap();
                break;
            } else if (type2 instanceof ParameterizedType) {
                type2 = ((ParameterizedType) type2).getRawType();
            } else {
                Class cls = (Class) type2;
                if (!cls.isInterface()) {
                    try {
                        properties = (Map) cls.newInstance();
                    } catch (Exception e) {
                        throw new IllegalArgumentException("unsupport type " + type2, e);
                    }
                } else {
                    throw new IllegalArgumentException("unsupport type " + type2);
                }
            }
        }
        if (type instanceof ParameterizedType) {
            ParameterizedType parameterizedType = (ParameterizedType) type;
            Type type3 = parameterizedType.getActualTypeArguments()[0];
            Type type4 = parameterizedType.getActualTypeArguments()[1];
            if (String.class == type3) {
                Iterator a = bVar.a();
                while (a.hasNext()) {
                    String str = (String) a.next();
                    properties.put(str, ViewGroupUtilsApi14.a((Class) type4) ? bVar.a(str) : e.a(bVar.a(str), type4));
                }
                return properties;
            }
            throw new IllegalArgumentException("Deserialize Map Key must be String.class");
        }
        throw new IllegalArgumentException("Deserialize Map must be Generics!");
    }

    @Override // com.alipay.a.a.j, com.alipay.a.a.i
    public final boolean a(Class<?> cls) {
        return Map.class.isAssignableFrom(cls);
    }
}
