package com.allpayx.sdk.util;

import android.text.TextUtils;
import com.android.tools.r8.GeneratedOutlineSupport;

public class PayResult {
    private String memo;
    private String result;
    private String resultStatus;

    public PayResult(String str) {
        if (!TextUtils.isEmpty(str)) {
            String[] split = str.split(";");
            for (String str2 : split) {
                if (str2.startsWith("resultStatus")) {
                    this.resultStatus = gatValue(str2, "resultStatus");
                }
                if (str2.startsWith("result")) {
                    this.result = gatValue(str2, "result");
                }
                if (str2.startsWith("memo")) {
                    this.memo = gatValue(str2, "memo");
                }
            }
        }
    }

    private String gatValue(String str, String str2) {
        String outline18 = GeneratedOutlineSupport.outline18(str2, "={");
        return str.substring(outline18.length() + str.indexOf(outline18), str.lastIndexOf("}"));
    }

    public String getMemo() {
        return this.memo;
    }

    public String getResult() {
        return this.result;
    }

    public String getResultStatus() {
        return this.resultStatus;
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("resultStatus={");
        outline25.append(this.resultStatus);
        outline25.append("};memo={");
        outline25.append(this.memo);
        outline25.append("};result={");
        return GeneratedOutlineSupport.outline22(outline25, this.result, "}");
    }
}
