package com.bumptech.glide.util;

import java.util.concurrent.Executor;

public abstract class Executors {
    public static final Executor DIRECT_EXECUTOR = new Executor() {
        /* class com.bumptech.glide.util.Executors.AnonymousClass2 */

        public void execute(Runnable runnable) {
            runnable.run();
        }
    };
    public static final Executor MAIN_THREAD_EXECUTOR = new Executor() {
        /* class com.bumptech.glide.util.Executors.AnonymousClass1 */

        public void execute(Runnable runnable) {
            Util.getUiThreadHandler().post(runnable);
        }
    };
}
