package com.faster.cheetah.ui;

import android.app.Dialog;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Toast;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.databinding.ActivityBindMobileBinding;
import com.faster.cheetah.ui.BindMobileActivity;
import com.zfast.xyz.R;
import java.util.Objects;
import java.util.Timer;
import java.util.TimerTask;

public class BindMobileActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public ActivityBindMobileBinding binding;
    public Timer checkTimer;
    public String code;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.BindMobileActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!BindMobileActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    BindMobileActivity bindMobileActivity = BindMobileActivity.this;
                    Toast.makeText(bindMobileActivity.activity, bindMobileActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 128:
                            BindMobileActivity bindMobileActivity2 = BindMobileActivity.this;
                            Objects.requireNonNull(bindMobileActivity2);
                            Timer timer = new Timer();
                            bindMobileActivity2.checkTimer = timer;
                            bindMobileActivity2.time = 90;
                            timer.schedule(new TimerTask() {
                                /* class com.faster.cheetah.ui.BindMobileActivity.AnonymousClass2 */

                                public void run() {
                                    BindMobileActivity.this.runOnUiThread(new Runnable() {
                                        /* class com.faster.cheetah.ui.$$Lambda$BindMobileActivity$2$kkTFG1v3YG1aCfvIKF9LcGwZpJ0 */

                                        public final void run() {
                                            BindMobileActivity.AnonymousClass2 r0 = BindMobileActivity.AnonymousClass2.this;
                                            BindMobileActivity bindMobileActivity = BindMobileActivity.this;
                                            int i = bindMobileActivity.time - 1;
                                            bindMobileActivity.time = i;
                                            if (i > 0) {
                                                bindMobileActivity.binding.btnGetCode.setText(BindMobileActivity.this.time + "S");
                                                return;
                                            }
                                            bindMobileActivity.binding.btnGetCode.setText(R.string.btn_get_code);
                                            BindMobileActivity.this.checkTimer.cancel();
                                        }
                                    });
                                }
                            }, 0, 1000);
                            return;
                        case 129:
                            Toast.makeText(BindMobileActivity.this.activity, string, 0).show();
                            return;
                        case 130:
                            BindMobileActivity bindMobileActivity3 = BindMobileActivity.this;
                            Toast.makeText(bindMobileActivity3.activity, bindMobileActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 131:
                            BindMobileActivity bindMobileActivity4 = BindMobileActivity.this;
                            Toast.makeText(bindMobileActivity4.activity, bindMobileActivity4.getString(R.string.error_access), 0).show();
                            return;
                        case 132:
                            Toast.makeText(BindMobileActivity.this.activity, string, 0).show();
                            BindMobileActivity.this.finish();
                            return;
                        case 133:
                            Toast.makeText(BindMobileActivity.this.activity, string, 0).show();
                            return;
                        case 134:
                            BindMobileActivity bindMobileActivity5 = BindMobileActivity.this;
                            Toast.makeText(bindMobileActivity5.activity, bindMobileActivity5.getString(R.string.error_data_format), 0).show();
                            return;
                        case 135:
                            BindMobileActivity bindMobileActivity6 = BindMobileActivity.this;
                            Toast.makeText(bindMobileActivity6.activity, bindMobileActivity6.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    BindMobileActivity bindMobileActivity7 = BindMobileActivity.this;
                    Toast.makeText(bindMobileActivity7.activity, bindMobileActivity7.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public String mobile;
    public int time = 0;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityBindMobileBinding activityBindMobileBinding = (ActivityBindMobileBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_bind_mobile);
        this.binding = activityBindMobileBinding;
        activityBindMobileBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$BindMobileActivity$4qsKKCuPSngY13qaMFRm3mSLw */

            public final void onClick(View view) {
                BindMobileActivity.this.finish();
            }
        });
        this.binding.btnGetCode.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$BindMobileActivity$vGdDW1KCwWpB6VuMNJOkstT3Ts */

            public final void onClick(View view) {
                BindMobileActivity bindMobileActivity = BindMobileActivity.this;
                if (bindMobileActivity.time <= 0) {
                    bindMobileActivity.mobile = bindMobileActivity.binding.etMobile.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(bindMobileActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = bindMobileActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0026: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x0024: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v0 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$B5KTvb0hPDKuTigXIalPiG0XpWk : 0x0021: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$B5KTvb0hPDKuTigXIalPiG0XpWk) = (r4v1 'bindMobileActivity' com.faster.cheetah.ui.BindMobileActivity), (r0v6 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$B5KTvb0hPDKuTigXIalPiG0XpWk.<init>(com.faster.cheetah.ui.BindMobileActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$v-GdDW1KCwWpB6VuMNJOkstT3Ts.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:99)
                        	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:143)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:63)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0021: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$B5KTvb0hPDKuTigXIalPiG0XpWk) = (r4v1 'bindMobileActivity' com.faster.cheetah.ui.BindMobileActivity), (r0v6 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$B5KTvb0hPDKuTigXIalPiG0XpWk.<init>(com.faster.cheetah.ui.BindMobileActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$v-GdDW1KCwWpB6VuMNJOkstT3Ts.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 21 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$B5KTvb0hPDKuTigXIalPiG0XpWk, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 27 more
                        */
                    /*
                        this = this;
                        com.faster.cheetah.ui.BindMobileActivity r4 = com.faster.cheetah.ui.BindMobileActivity.this
                        int r0 = r4.time
                        if (r0 > 0) goto L_0x0029
                        com.faster.cheetah.databinding.ActivityBindMobileBinding r0 = r4.binding
                        android.widget.EditText r0 = r0.etMobile
                        android.text.Editable r0 = r0.getText()
                        java.lang.String r0 = r0.toString()
                        r4.mobile = r0
                        com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                        android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                        r0.show()
                        com.faster.cheetah.MainApplication r1 = r4.application
                        com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$B5KTvb0hPDKuTigXIalPiG0XpWk r2 = new com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$B5KTvb0hPDKuTigXIalPiG0XpWk
                        r2.<init>(r4, r0)
                        java.util.concurrent.ExecutorService r4 = r1.executorService
                        r4.execute(r2)
                    L_0x0029:
                        return
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$BindMobileActivity$vGdDW1KCwWpB6VuMNJOkstT3Ts.onClick(android.view.View):void");
                }
            });
            this.binding.btnConfirm.setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.ui.$$Lambda$BindMobileActivity$URseSXiwVY3YjSsFSQDOpixSrk */

                public final void onClick(View view) {
                    BindMobileActivity bindMobileActivity = BindMobileActivity.this;
                    bindMobileActivity.mobile = bindMobileActivity.binding.etMobile.getText().toString();
                    bindMobileActivity.code = bindMobileActivity.binding.etCode.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(bindMobileActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = bindMobileActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0030: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x002e: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v0 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$AJH4o88KmZCM5sXTng9D8-8cG-g : 0x002b: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$AJH4o88KmZCM5sXTng9D8-8cG-g) = (r4v1 'bindMobileActivity' com.faster.cheetah.ui.BindMobileActivity), (r0v9 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$AJH4o88KmZCM5sXTng9D8-8cG-g.<init>(com.faster.cheetah.ui.BindMobileActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$URseSXiwVY3YjSsFS-QDOpixSrk.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x002b: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$AJH4o88KmZCM5sXTng9D8-8cG-g) = (r4v1 'bindMobileActivity' com.faster.cheetah.ui.BindMobileActivity), (r0v9 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$AJH4o88KmZCM5sXTng9D8-8cG-g.<init>(com.faster.cheetah.ui.BindMobileActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$URseSXiwVY3YjSsFS-QDOpixSrk.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 14 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$AJH4o88KmZCM5sXTng9D8-8cG-g, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 20 more
                        */
                    /*
                        this = this;
                        com.faster.cheetah.ui.BindMobileActivity r4 = com.faster.cheetah.ui.BindMobileActivity.this
                        com.faster.cheetah.databinding.ActivityBindMobileBinding r0 = r4.binding
                        android.widget.EditText r0 = r0.etMobile
                        android.text.Editable r0 = r0.getText()
                        java.lang.String r0 = r0.toString()
                        r4.mobile = r0
                        com.faster.cheetah.databinding.ActivityBindMobileBinding r0 = r4.binding
                        android.widget.EditText r0 = r0.etCode
                        android.text.Editable r0 = r0.getText()
                        java.lang.String r0 = r0.toString()
                        r4.code = r0
                        com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                        android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                        r0.show()
                        com.faster.cheetah.MainApplication r1 = r4.application
                        com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$AJH4o88KmZCM5sXTng9D8-8cG-g r2 = new com.faster.cheetah.ui.-$$Lambda$BindMobileActivity$AJH4o88KmZCM5sXTng9D8-8cG-g
                        r2.<init>(r4, r0)
                        java.util.concurrent.ExecutorService r4 = r1.executorService
                        r4.execute(r2)
                        return
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$BindMobileActivity$URseSXiwVY3YjSsFSQDOpixSrk.onClick(android.view.View):void");
                }
            });
        }
    }
