package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Context;
import android.content.Intent;
import android.graphics.Paint;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Toast;
import androidx.core.content.ContextCompat;
import androidx.fragment.app.Fragment;
import androidx.transition.ViewGroupUtilsApi14;
import androidx.viewpager.widget.ViewPager;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.adapter.PagerAdapterLine;
import com.faster.cheetah.entity.LineEntity;
import com.faster.cheetah.entity.TagEntity;
import com.faster.cheetah.service.AlcedoService;
import com.faster.cheetah.ui.LinePublicListFragment;
import com.github.shadowsocks.Core;
import com.zfast.xyz.R;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import net.lucode.hackware.magicindicator.MagicIndicator;
import net.lucode.hackware.magicindicator.ViewPagerHelper$1;
import net.lucode.hackware.magicindicator.buildins.commonnavigator.CommonNavigator;
import net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.CommonNavigatorAdapter;
import net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.IPagerIndicator;
import net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.IPagerTitleView;
import net.lucode.hackware.magicindicator.buildins.commonnavigator.indicators.LinePagerIndicator;
import net.lucode.hackware.magicindicator.buildins.commonnavigator.titles.ColorTransitionPagerTitleView;

public class LinePublicFragment extends BaseFragment implements LinePublicListFragment.OnFragmentInteractionListener {
    public static final /* synthetic */ int $r8$clinit = 0;
    public CommonNavigator commonNavigator;
    public final List<Fragment> fragmentList = new ArrayList();
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.LinePublicFragment.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!LinePublicFragment.this.superHandleMessage(message) && LinePublicFragment.this.isAdded()) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    LinePublicFragment linePublicFragment = LinePublicFragment.this;
                    Toast.makeText(linePublicFragment.context, linePublicFragment.getString(R.string.network_not_available), 0).show();
                } else if (i == 3) {
                    LinePublicFragment linePublicFragment2 = LinePublicFragment.this;
                    Toast.makeText(linePublicFragment2.context, linePublicFragment2.getString(R.string.error_no_available_server_domain), 0).show();
                } else if (i != 20) {
                    switch (i) {
                        case 12:
                            LinePublicFragment linePublicFragment3 = LinePublicFragment.this;
                            List<TagEntity> list = linePublicFragment3.application.tagEntityList;
                            if (!(list == null || list.size() == 0)) {
                                ArrayList arrayList = new ArrayList();
                                for (TagEntity tagEntity : linePublicFragment3.application.tagEntityList) {
                                    StringBuilder outline25 = GeneratedOutlineSupport.outline25(",");
                                    outline25.append(tagEntity.getId());
                                    outline25.append(",");
                                    String sb = outline25.toString();
                                    List<LineEntity> list2 = linePublicFragment3.application.lineEntityList;
                                    if (list2 != null) {
                                        Iterator<LineEntity> it = list2.iterator();
                                        while (true) {
                                            if (it.hasNext()) {
                                                StringBuilder outline252 = GeneratedOutlineSupport.outline25(",");
                                                outline252.append(it.next().tags);
                                                outline252.append(",");
                                                if (outline252.toString().contains(sb)) {
                                                    arrayList.add(tagEntity);
                                                }
                                            }
                                        }
                                    }
                                }
                                if (arrayList.size() != 0) {
                                    int dip2px = ViewGroupUtilsApi14.dip2px(linePublicFragment3.context, (float) linePublicFragment3.context.getResources().getDisplayMetrics().widthPixels) / arrayList.size();
                                    linePublicFragment3.fragmentList.clear();
                                    Iterator it2 = arrayList.iterator();
                                    while (it2.hasNext()) {
                                        TagEntity tagEntity2 = (TagEntity) it2.next();
                                        String name = tagEntity2.getName();
                                        LinePublicListFragment linePublicListFragment = new LinePublicListFragment();
                                        Bundle bundle = new Bundle();
                                        bundle.putString("title", name);
                                        bundle.putSerializable("tag_info", tagEntity2);
                                        linePublicListFragment.setArguments(bundle);
                                        linePublicFragment3.fragmentList.add(linePublicListFragment);
                                        Context context = linePublicFragment3.context;
                                        String name2 = tagEntity2.getName();
                                        Paint paint = new Paint();
                                        paint.setTextSize((float) ((int) ((((float) ((int) linePublicFragment3.getResources().getDimension(R.dimen.line_text_size_12))) * context.getResources().getDisplayMetrics().scaledDensity) + 0.5f)));
                                        paint.measureText(name2);
                                        ViewGroupUtilsApi14.dip2px(linePublicFragment3.context, 50.0f);
                                    }
                                    PagerAdapterLine pagerAdapterLine = new PagerAdapterLine(linePublicFragment3.getChildFragmentManager(), linePublicFragment3.fragmentList);
                                    linePublicFragment3.pagerAdapterLine = pagerAdapterLine;
                                    linePublicFragment3.viewPagerLine.setAdapter(pagerAdapterLine);
                                    linePublicFragment3.magicIndicatorLine.setBackgroundColor(-1);
                                    CommonNavigator commonNavigator = new CommonNavigator(linePublicFragment3.context);
                                    linePublicFragment3.commonNavigator = commonNavigator;
                                    commonNavigator.setAdjustMode(true);
                                    linePublicFragment3.commonNavigator.setAdapter(new CommonNavigatorAdapter() {
                                        /* class com.faster.cheetah.ui.LinePublicFragment.AnonymousClass2 */

                                        @Override // net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.CommonNavigatorAdapter
                                        public int getCount() {
                                            List<Fragment> list = LinePublicFragment.this.fragmentList;
                                            if (list == null) {
                                                return 0;
                                            }
                                            return list.size();
                                        }

                                        @Override // net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.CommonNavigatorAdapter
                                        public IPagerIndicator getIndicator(Context context) {
                                            LinePagerIndicator linePagerIndicator = new LinePagerIndicator(context);
                                            linePagerIndicator.setColors(Integer.valueOf(ContextCompat.getColor(context, R.color.colorPrimary)));
                                            return linePagerIndicator;
                                        }

                                        @Override // net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.CommonNavigatorAdapter
                                        public IPagerTitleView getTitleView(Context context, final int i) {
                                            ColorTransitionPagerTitleView colorTransitionPagerTitleView = new ColorTransitionPagerTitleView(context);
                                            colorTransitionPagerTitleView.setText(LinePublicFragment.this.fragmentList.get(i).getArguments().getString("title"));
                                            colorTransitionPagerTitleView.setTextSize((float) ((int) ((((float) LinePublicFragment.this.getResources().getDimensionPixelSize(R.dimen.line_text_size_12)) / context.getResources().getDisplayMetrics().scaledDensity) + 0.5f)));
                                            colorTransitionPagerTitleView.setPadding(0, 0, 0, 0);
                                            colorTransitionPagerTitleView.setNormalColor(-7829368);
                                            colorTransitionPagerTitleView.setSelectedColor(ContextCompat.getColor(context, R.color.colorPrimary));
                                            colorTransitionPagerTitleView.setOnClickListener(new View.OnClickListener() {
                                                /* class com.faster.cheetah.ui.LinePublicFragment.AnonymousClass2.AnonymousClass1 */

                                                public void onClick(View view) {
                                                    LinePublicFragment.this.viewPagerLine.setCurrentItem(i);
                                                }
                                            });
                                            return colorTransitionPagerTitleView;
                                        }

                                        @Override // net.lucode.hackware.magicindicator.buildins.commonnavigator.abs.CommonNavigatorAdapter
                                        public float getTitleWeight(Context context, int i) {
                                            return 1.0f;
                                        }
                                    });
                                    linePublicFragment3.magicIndicatorLine.setNavigator(linePublicFragment3.commonNavigator);
                                    linePublicFragment3.viewPagerLine.addOnPageChangeListener(new ViewPagerHelper$1(linePublicFragment3.magicIndicatorLine));
                                }
                            }
                            if (LinePublicFragment.this.application.configEntity.serviceClosed.intValue() != 0) {
                                Core.INSTANCE.stopService();
                                LinePublicFragment.this.application.isLogin = false;
                                Intent intent = new Intent(LinePublicFragment.this.context, GuideActivity.class);
                                intent.setFlags(268468224);
                                LinePublicFragment.this.startActivity(intent);
                                return;
                            }
                            return;
                        case 13:
                            Toast.makeText(LinePublicFragment.this.context, string, 0).show();
                            return;
                        case 14:
                            LinePublicFragment linePublicFragment4 = LinePublicFragment.this;
                            Toast.makeText(linePublicFragment4.context, linePublicFragment4.getString(R.string.error_data_format), 0).show();
                            return;
                        case 15:
                            LinePublicFragment linePublicFragment5 = LinePublicFragment.this;
                            Toast.makeText(linePublicFragment5.context, linePublicFragment5.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    LinePublicFragment linePublicFragment6 = LinePublicFragment.this;
                    Toast.makeText(linePublicFragment6.context, linePublicFragment6.getString(R.string.error_no_login), 0).show();
                }
            }
        }
    };
    public MagicIndicator magicIndicatorLine;
    public PagerAdapterLine pagerAdapterLine;
    public View view;
    public ViewPager viewPagerLine;

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        View inflate = layoutInflater.inflate(R.layout.fragment_line_public, viewGroup, false);
        this.view = inflate;
        return inflate;
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view2, Bundle bundle) {
        super.onViewCreated(view2, bundle);
        this.viewPagerLine = (ViewPager) this.view.findViewById(R.id.vpage_line);
        this.magicIndicatorLine = (MagicIndicator) this.view.findViewById(R.id.magic_indicator_line);
        Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(this.activity);
        loadingDialog.show();
        MainApplication mainApplication = this.application;
        mainApplication.executorService.execute(new Runnable(loadingDialog) {
            /* class com.faster.cheetah.ui.$$Lambda$LinePublicFragment$6fb8zhWZ9pwTUYXls6COcoxraxE */
            public final /* synthetic */ Dialog f$1;

            {
                this.f$1 = r2;
            }

            public final void run() {
                LinePublicFragment linePublicFragment = LinePublicFragment.this;
                Dialog dialog = this.f$1;
                AlcedoService alcedoService = linePublicFragment.application.alcedoService;
                if (alcedoService != null) {
                    linePublicFragment.handler.sendMessage(alcedoService.getLineList());
                }
                linePublicFragment.activity.runOnUiThread(
                /*  JADX ERROR: Method code generation error
                    jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001a: INVOKE  
                      (wrap: com.faster.cheetah.ui.BaseActivity : 0x0013: IGET  (r0v1 com.faster.cheetah.ui.BaseActivity) = (r0v0 'linePublicFragment' com.faster.cheetah.ui.LinePublicFragment) com.faster.cheetah.ui.BaseFragment.activity com.faster.cheetah.ui.BaseActivity)
                      (wrap: com.faster.cheetah.ui.-$$Lambda$LinePublicFragment$VPIP3GV9XsHhRL4qtZhe__OflqE : 0x0017: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePublicFragment$VPIP3GV9XsHhRL4qtZhe__OflqE) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePublicFragment$VPIP3GV9XsHhRL4qtZhe__OflqE.<init>(android.app.Dialog):void type: CONSTRUCTOR)
                     type: VIRTUAL call: android.app.Activity.runOnUiThread(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$LinePublicFragment$6fb8zhWZ9pwTUYXls6COcoxraxE.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                    	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                    	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                    	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                    	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                    	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                    	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                    	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                    	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                    	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                    	at java.util.ArrayList.forEach(ArrayList.java:1259)
                    	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                    	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                    Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0017: CONSTRUCTOR  (r2v2 com.faster.cheetah.ui.-$$Lambda$LinePublicFragment$VPIP3GV9XsHhRL4qtZhe__OflqE) = (r1v0 'dialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$LinePublicFragment$VPIP3GV9XsHhRL4qtZhe__OflqE.<init>(android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$LinePublicFragment$6fb8zhWZ9pwTUYXls6COcoxraxE.run():void, file: classes.dex
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                    	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                    	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                    	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                    	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                    	... 14 more
                    Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$LinePublicFragment$VPIP3GV9XsHhRL4qtZhe__OflqE, state: NOT_LOADED
                    	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                    	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                    	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                    	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                    	... 20 more
                    */
                /*
                    this = this;
                    com.faster.cheetah.ui.LinePublicFragment r0 = com.faster.cheetah.ui.LinePublicFragment.this
                    android.app.Dialog r1 = r4.f$1
                    com.faster.cheetah.MainApplication r2 = r0.application
                    com.faster.cheetah.service.AlcedoService r2 = r2.alcedoService
                    if (r2 == 0) goto L_0x0013
                    android.os.Message r2 = r2.getLineList()
                    android.os.Handler r3 = r0.handler
                    r3.sendMessage(r2)
                L_0x0013:
                    com.faster.cheetah.ui.BaseActivity r0 = r0.activity
                    com.faster.cheetah.ui.-$$Lambda$LinePublicFragment$VPIP3GV9XsHhRL4qtZhe__OflqE r2 = new com.faster.cheetah.ui.-$$Lambda$LinePublicFragment$VPIP3GV9XsHhRL4qtZhe__OflqE
                    r2.<init>(r1)
                    r0.runOnUiThread(r2)
                    return
                */
                throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$LinePublicFragment$6fb8zhWZ9pwTUYXls6COcoxraxE.run():void");
            }
        });
    }
}
