package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Toast;
import androidx.databinding.DataBindingUtil;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.databinding.ActivityMobileFindPasswordBinding;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.ui.MobileFindPasswordActivity;
import com.zfast.xyz.R;
import java.util.Objects;
import java.util.Timer;
import java.util.TimerTask;

public class MobileFindPasswordActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public ActivityMobileFindPasswordBinding binding;
    public Timer checkTimer;
    public String code;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.MobileFindPasswordActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!MobileFindPasswordActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    MobileFindPasswordActivity mobileFindPasswordActivity = MobileFindPasswordActivity.this;
                    Toast.makeText(mobileFindPasswordActivity.activity, mobileFindPasswordActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 136:
                            MobileFindPasswordActivity mobileFindPasswordActivity2 = MobileFindPasswordActivity.this;
                            Objects.requireNonNull(mobileFindPasswordActivity2);
                            Timer timer = new Timer();
                            mobileFindPasswordActivity2.checkTimer = timer;
                            mobileFindPasswordActivity2.time = 90;
                            timer.schedule(new TimerTask() {
                                /* class com.faster.cheetah.ui.MobileFindPasswordActivity.AnonymousClass2 */

                                public void run() {
                                    MobileFindPasswordActivity.this.runOnUiThread(new Runnable() {
                                        /* class com.faster.cheetah.ui.$$Lambda$MobileFindPasswordActivity$2$1aoW8J9pNSnDybBEXgJWnSjqn4g */

                                        public final void run() {
                                            MobileFindPasswordActivity.AnonymousClass2 r0 = MobileFindPasswordActivity.AnonymousClass2.this;
                                            MobileFindPasswordActivity mobileFindPasswordActivity = MobileFindPasswordActivity.this;
                                            int i = mobileFindPasswordActivity.time - 1;
                                            mobileFindPasswordActivity.time = i;
                                            if (i > 0) {
                                                GeneratedOutlineSupport.outline30(MobileFindPasswordActivity.this.time, new StringBuilder(), "S", mobileFindPasswordActivity.binding.btnGetCode);
                                                return;
                                            }
                                            mobileFindPasswordActivity.binding.btnGetCode.setText(R.string.btn_get_code);
                                            MobileFindPasswordActivity.this.checkTimer.cancel();
                                        }
                                    });
                                }
                            }, 0, 1000);
                            return;
                        case 137:
                            Toast.makeText(MobileFindPasswordActivity.this.activity, string, 0).show();
                            return;
                        case 138:
                            MobileFindPasswordActivity mobileFindPasswordActivity3 = MobileFindPasswordActivity.this;
                            Toast.makeText(mobileFindPasswordActivity3.activity, mobileFindPasswordActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 139:
                            MobileFindPasswordActivity mobileFindPasswordActivity4 = MobileFindPasswordActivity.this;
                            Toast.makeText(mobileFindPasswordActivity4.activity, mobileFindPasswordActivity4.getString(R.string.error_access), 0).show();
                            return;
                        case 140:
                            Toast.makeText(MobileFindPasswordActivity.this.activity, string, 0).show();
                            MobileFindPasswordActivity.this.finish();
                            return;
                        case 141:
                            Toast.makeText(MobileFindPasswordActivity.this.activity, string, 0).show();
                            return;
                        case 142:
                            MobileFindPasswordActivity mobileFindPasswordActivity5 = MobileFindPasswordActivity.this;
                            Toast.makeText(mobileFindPasswordActivity5.activity, mobileFindPasswordActivity5.getString(R.string.error_data_format), 0).show();
                            return;
                        case 143:
                            MobileFindPasswordActivity mobileFindPasswordActivity6 = MobileFindPasswordActivity.this;
                            Toast.makeText(mobileFindPasswordActivity6.activity, mobileFindPasswordActivity6.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    MobileFindPasswordActivity mobileFindPasswordActivity7 = MobileFindPasswordActivity.this;
                    Toast.makeText(mobileFindPasswordActivity7.activity, mobileFindPasswordActivity7.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public String mobile;
    public String password;
    public int time = 0;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        ActivityMobileFindPasswordBinding activityMobileFindPasswordBinding = (ActivityMobileFindPasswordBinding) DataBindingUtil.setContentView(this.activity, R.layout.activity_mobile_find_password);
        this.binding = activityMobileFindPasswordBinding;
        activityMobileFindPasswordBinding.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$MobileFindPasswordActivity$sTNLNCHg2HQBzvX9AFUx1mO1GmY */

            public final void onClick(View view) {
                MobileFindPasswordActivity.this.finish();
            }
        });
        this.binding.tvSwitch.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$MobileFindPasswordActivity$HTjrnKEb83mBl8bIilgOS1IkcFM */

            public final void onClick(View view) {
                MobileFindPasswordActivity mobileFindPasswordActivity = MobileFindPasswordActivity.this;
                Objects.requireNonNull(mobileFindPasswordActivity);
                mobileFindPasswordActivity.startActivity(new Intent(mobileFindPasswordActivity.activity, FindPasswordActivity.class));
                mobileFindPasswordActivity.finish();
            }
        });
        this.binding.btnGetCode.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$MobileFindPasswordActivity$XwLudAgc4DQzwOf7PVm1WC1EDkY */

            public final void onClick(View view) {
                MobileFindPasswordActivity mobileFindPasswordActivity = MobileFindPasswordActivity.this;
                if (mobileFindPasswordActivity.time <= 0) {
                    mobileFindPasswordActivity.mobile = mobileFindPasswordActivity.binding.etMobile.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(mobileFindPasswordActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = mobileFindPasswordActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0026: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x0024: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v0 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$5Bw_vFiSZh1HnQxYGCE619mcI9w : 0x0021: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$5Bw_vFiSZh1HnQxYGCE619mcI9w) = 
                          (r4v1 'mobileFindPasswordActivity' com.faster.cheetah.ui.MobileFindPasswordActivity)
                          (r0v6 'loadingDialog' android.app.Dialog)
                         call: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$5Bw_vFiSZh1HnQxYGCE619mcI9w.<init>(com.faster.cheetah.ui.MobileFindPasswordActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$XwLudAgc4DQzwOf7PVm1WC1EDkY.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:99)
                        	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:143)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:63)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0021: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$5Bw_vFiSZh1HnQxYGCE619mcI9w) = 
                          (r4v1 'mobileFindPasswordActivity' com.faster.cheetah.ui.MobileFindPasswordActivity)
                          (r0v6 'loadingDialog' android.app.Dialog)
                         call: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$5Bw_vFiSZh1HnQxYGCE619mcI9w.<init>(com.faster.cheetah.ui.MobileFindPasswordActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$XwLudAgc4DQzwOf7PVm1WC1EDkY.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 21 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$5Bw_vFiSZh1HnQxYGCE619mcI9w, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 27 more
                        */
                    /*
                        this = this;
                        com.faster.cheetah.ui.MobileFindPasswordActivity r4 = com.faster.cheetah.ui.MobileFindPasswordActivity.this
                        int r0 = r4.time
                        if (r0 > 0) goto L_0x0029
                        com.faster.cheetah.databinding.ActivityMobileFindPasswordBinding r0 = r4.binding
                        android.widget.EditText r0 = r0.etMobile
                        android.text.Editable r0 = r0.getText()
                        java.lang.String r0 = r0.toString()
                        r4.mobile = r0
                        com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                        android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                        r0.show()
                        com.faster.cheetah.MainApplication r1 = r4.application
                        com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$5Bw_vFiSZh1HnQxYGCE619mcI9w r2 = new com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$5Bw_vFiSZh1HnQxYGCE619mcI9w
                        r2.<init>(r4, r0)
                        java.util.concurrent.ExecutorService r4 = r1.executorService
                        r4.execute(r2)
                    L_0x0029:
                        return
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$MobileFindPasswordActivity$XwLudAgc4DQzwOf7PVm1WC1EDkY.onClick(android.view.View):void");
                }
            });
            this.binding.btnConfirm.setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.ui.$$Lambda$MobileFindPasswordActivity$ahljKqI0uOOhDcJQmHYl5Tfg2Rg */

                public final void onClick(View view) {
                    MobileFindPasswordActivity mobileFindPasswordActivity = MobileFindPasswordActivity.this;
                    if (!mobileFindPasswordActivity.binding.etPassword.getText().toString().equals(mobileFindPasswordActivity.binding.etPasswordConfirm.getText().toString())) {
                        Toast.makeText(mobileFindPasswordActivity.activity, mobileFindPasswordActivity.getString(R.string.warm_password_different), 0).show();
                        return;
                    }
                    mobileFindPasswordActivity.mobile = mobileFindPasswordActivity.binding.etMobile.getText().toString();
                    mobileFindPasswordActivity.code = mobileFindPasswordActivity.binding.etCode.getText().toString();
                    mobileFindPasswordActivity.password = mobileFindPasswordActivity.binding.etPassword.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(mobileFindPasswordActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = mobileFindPasswordActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x006e: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x006c: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v4 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$EtLMAQyY5xZ-cUvrUIMdNViIJZA : 0x0069: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$EtLMAQyY5xZ-cUvrUIMdNViIJZA) = 
                          (r4v1 'mobileFindPasswordActivity' com.faster.cheetah.ui.MobileFindPasswordActivity)
                          (r0v18 'loadingDialog' android.app.Dialog)
                         call: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$EtLMAQyY5xZ-cUvrUIMdNViIJZA.<init>(com.faster.cheetah.ui.MobileFindPasswordActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$ahljKqI0uOOhDcJQmHYl5Tfg2Rg.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0069: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$EtLMAQyY5xZ-cUvrUIMdNViIJZA) = 
                          (r4v1 'mobileFindPasswordActivity' com.faster.cheetah.ui.MobileFindPasswordActivity)
                          (r0v18 'loadingDialog' android.app.Dialog)
                         call: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$EtLMAQyY5xZ-cUvrUIMdNViIJZA.<init>(com.faster.cheetah.ui.MobileFindPasswordActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$ahljKqI0uOOhDcJQmHYl5Tfg2Rg.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 18 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$MobileFindPasswordActivity$EtLMAQyY5xZ-cUvrUIMdNViIJZA, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 24 more
                        */
                    /*
                    // Method dump skipped, instructions count: 114
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$MobileFindPasswordActivity$ahljKqI0uOOhDcJQmHYl5Tfg2Rg.onClick(android.view.View):void");
                }
            });
            ConfigEntity configEntity = this.application.configEntity;
            if (configEntity == null) {
                return;
            }
            if (configEntity.registerType.intValue() == 2) {
                this.binding.tvSwitch.setVisibility(8);
            } else {
                this.binding.tvSwitch.setVisibility(0);
            }
        }
    }
