package com.faster.cheetah.ui;

import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import androidx.transition.ViewGroupUtilsApi14;
import com.android.tools.r8.GeneratedOutlineSupport;
import com.faster.cheetah.MainApplication;
import com.faster.cheetah.entity.ConfigEntity;
import com.faster.cheetah.ui.RegisterMobileActivity;
import com.zfast.xyz.R;
import java.util.Objects;
import java.util.Timer;
import java.util.TimerTask;

@Deprecated
public class RegisterMobileActivity extends BaseActivity {
    public static final /* synthetic */ int $r8$clinit = 0;
    public Button btnConfirm;
    public Button btnGetCode;
    public Timer checkTimer;
    public String code;
    public EditText etCode;
    public EditText etMobile;
    public EditText etPassword;
    public EditText etPasswordConfirm;
    public final Handler handler = new Handler(Looper.getMainLooper()) {
        /* class com.faster.cheetah.ui.RegisterMobileActivity.AnonymousClass1 */

        public void handleMessage(Message message) {
            if (!RegisterMobileActivity.this.superHandleMessage(message)) {
                String string = message.getData().getString("msg", "");
                int i = message.what;
                if (i == 1) {
                    RegisterMobileActivity registerMobileActivity = RegisterMobileActivity.this;
                    Toast.makeText(registerMobileActivity.context, registerMobileActivity.getString(R.string.network_not_available), 0).show();
                } else if (i != 3) {
                    switch (i) {
                        case 160:
                            RegisterMobileActivity registerMobileActivity2 = RegisterMobileActivity.this;
                            Objects.requireNonNull(registerMobileActivity2);
                            Timer timer = new Timer();
                            registerMobileActivity2.checkTimer = timer;
                            registerMobileActivity2.time = 90;
                            timer.schedule(new TimerTask() {
                                /* class com.faster.cheetah.ui.RegisterMobileActivity.AnonymousClass2 */

                                public void run() {
                                    RegisterMobileActivity.this.runOnUiThread(new Runnable() {
                                        /* class com.faster.cheetah.ui.$$Lambda$RegisterMobileActivity$2$kquWt2867MWZVvWaYPFfL8KM_3g */

                                        public final void run() {
                                            RegisterMobileActivity.AnonymousClass2 r0 = RegisterMobileActivity.AnonymousClass2.this;
                                            RegisterMobileActivity registerMobileActivity = RegisterMobileActivity.this;
                                            int i = registerMobileActivity.time - 1;
                                            registerMobileActivity.time = i;
                                            if (i > 0) {
                                                GeneratedOutlineSupport.outline30(RegisterMobileActivity.this.time, new StringBuilder(), "S", registerMobileActivity.btnGetCode);
                                                return;
                                            }
                                            registerMobileActivity.btnGetCode.setText(R.string.btn_get_code);
                                            RegisterMobileActivity.this.checkTimer.cancel();
                                        }
                                    });
                                }
                            }, 0, 1000);
                            return;
                        case 161:
                            Toast.makeText(RegisterMobileActivity.this.context, string, 0).show();
                            return;
                        case 162:
                            RegisterMobileActivity registerMobileActivity3 = RegisterMobileActivity.this;
                            Toast.makeText(registerMobileActivity3.context, registerMobileActivity3.getString(R.string.error_data_format), 0).show();
                            return;
                        case 163:
                            RegisterMobileActivity registerMobileActivity4 = RegisterMobileActivity.this;
                            Toast.makeText(registerMobileActivity4.context, registerMobileActivity4.getString(R.string.error_access), 0).show();
                            return;
                        case 164:
                            Toast.makeText(RegisterMobileActivity.this.context, string, 0).show();
                            return;
                        case 165:
                            Toast.makeText(RegisterMobileActivity.this.context, string, 0).show();
                            return;
                        case 166:
                            RegisterMobileActivity registerMobileActivity5 = RegisterMobileActivity.this;
                            Toast.makeText(registerMobileActivity5.context, registerMobileActivity5.getString(R.string.error_data_format), 0).show();
                            return;
                        case 167:
                            RegisterMobileActivity registerMobileActivity6 = RegisterMobileActivity.this;
                            Toast.makeText(registerMobileActivity6.context, registerMobileActivity6.getString(R.string.error_access), 0).show();
                            return;
                        default:
                            return;
                    }
                } else {
                    RegisterMobileActivity registerMobileActivity7 = RegisterMobileActivity.this;
                    Toast.makeText(registerMobileActivity7.context, registerMobileActivity7.getString(R.string.error_no_available_server_domain), 0).show();
                }
            }
        }
    };
    public ImageView imgBack;
    public String mobile;
    public String password;
    public int time = 0;
    public TextView tvSwitch;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, androidx.fragment.app.FragmentActivity, com.faster.cheetah.ui.BaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_register_mobile);
        this.etMobile = (EditText) findViewById(R.id.et_mobile);
        this.etCode = (EditText) findViewById(R.id.et_code);
        this.etPassword = (EditText) findViewById(R.id.et_password);
        this.etPasswordConfirm = (EditText) findViewById(R.id.et_password_confirm);
        this.imgBack = (ImageView) findViewById(R.id.img_back);
        this.tvSwitch = (TextView) findViewById(R.id.tv_switch);
        this.btnGetCode = (Button) findViewById(R.id.btn_get_code);
        this.btnConfirm = (Button) findViewById(R.id.btn_confirm);
        this.imgBack.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$RegisterMobileActivity$FKAE8Gsu1QDOuLXapzWd0uMnM */

            public final void onClick(View view) {
                RegisterMobileActivity.this.finish();
            }
        });
        this.tvSwitch.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$RegisterMobileActivity$6YyIEuHHbJmzVdvRQYluQXBtYo */

            public final void onClick(View view) {
                RegisterMobileActivity registerMobileActivity = RegisterMobileActivity.this;
                Objects.requireNonNull(registerMobileActivity);
                registerMobileActivity.startActivity(new Intent(registerMobileActivity.context, RegisterActivity.class));
                registerMobileActivity.finish();
            }
        });
        this.btnGetCode.setOnClickListener(new View.OnClickListener() {
            /* class com.faster.cheetah.ui.$$Lambda$RegisterMobileActivity$sjSHa4rLDZzEIbwboCn5O2W8bxg */

            public final void onClick(View view) {
                RegisterMobileActivity registerMobileActivity = RegisterMobileActivity.this;
                if (registerMobileActivity.time <= 0) {
                    registerMobileActivity.mobile = registerMobileActivity.etMobile.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(registerMobileActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = registerMobileActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0024: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x0022: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v0 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QcaGGccsS1MT-DUaTVPf55I4jLs : 0x001f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QcaGGccsS1MT-DUaTVPf55I4jLs) = (r4v1 'registerMobileActivity' com.faster.cheetah.ui.RegisterMobileActivity), (r0v5 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QcaGGccsS1MT-DUaTVPf55I4jLs.<init>(com.faster.cheetah.ui.RegisterMobileActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$sjSHa4rLDZzEIbwboCn5O2W8bxg.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeRegionIndent(RegionGen.java:99)
                        	at jadx.core.codegen.RegionGen.makeIf(RegionGen.java:143)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:63)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QcaGGccsS1MT-DUaTVPf55I4jLs) = (r4v1 'registerMobileActivity' com.faster.cheetah.ui.RegisterMobileActivity), (r0v5 'loadingDialog' android.app.Dialog) call: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QcaGGccsS1MT-DUaTVPf55I4jLs.<init>(com.faster.cheetah.ui.RegisterMobileActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$sjSHa4rLDZzEIbwboCn5O2W8bxg.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 21 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QcaGGccsS1MT-DUaTVPf55I4jLs, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 27 more
                        */
                    /*
                        this = this;
                        com.faster.cheetah.ui.RegisterMobileActivity r4 = com.faster.cheetah.ui.RegisterMobileActivity.this
                        int r0 = r4.time
                        if (r0 > 0) goto L_0x0027
                        android.widget.EditText r0 = r4.etMobile
                        android.text.Editable r0 = r0.getText()
                        java.lang.String r0 = r0.toString()
                        r4.mobile = r0
                        com.faster.cheetah.ui.BaseActivity r0 = r4.activity
                        android.app.Dialog r0 = androidx.transition.ViewGroupUtilsApi14.getLoadingDialog(r0)
                        r0.show()
                        com.faster.cheetah.MainApplication r1 = r4.application
                        com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QcaGGccsS1MT-DUaTVPf55I4jLs r2 = new com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QcaGGccsS1MT-DUaTVPf55I4jLs
                        r2.<init>(r4, r0)
                        java.util.concurrent.ExecutorService r4 = r1.executorService
                        r4.execute(r2)
                    L_0x0027:
                        return
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$RegisterMobileActivity$sjSHa4rLDZzEIbwboCn5O2W8bxg.onClick(android.view.View):void");
                }
            });
            this.btnConfirm.setOnClickListener(new View.OnClickListener() {
                /* class com.faster.cheetah.ui.$$Lambda$RegisterMobileActivity$RJx9e64nq3_LNnBQ69XpgVjujfM */

                public final void onClick(View view) {
                    RegisterMobileActivity registerMobileActivity = RegisterMobileActivity.this;
                    if (!registerMobileActivity.etPassword.getText().toString().equals(registerMobileActivity.etPasswordConfirm.getText().toString())) {
                        Toast.makeText(registerMobileActivity.context, registerMobileActivity.getString(R.string.warm_password_different), 0).show();
                        return;
                    }
                    registerMobileActivity.mobile = registerMobileActivity.etMobile.getText().toString();
                    registerMobileActivity.code = registerMobileActivity.etCode.getText().toString();
                    registerMobileActivity.password = registerMobileActivity.etPassword.getText().toString();
                    Dialog loadingDialog = ViewGroupUtilsApi14.getLoadingDialog(registerMobileActivity.activity);
                    loadingDialog.show();
                    MainApplication mainApplication = registerMobileActivity.application;
                    mainApplication.executorService.execute(
                    /*  JADX ERROR: Method code generation error
                        jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0064: INVOKE  
                          (wrap: java.util.concurrent.ExecutorService : 0x0062: IGET  (r4v2 java.util.concurrent.ExecutorService) = (r1v3 'mainApplication' com.faster.cheetah.MainApplication) com.faster.cheetah.MainApplication.executorService java.util.concurrent.ExecutorService)
                          (wrap: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QkYuY1HZKyzC0dn8KhANyzx_uWE : 0x005f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QkYuY1HZKyzC0dn8KhANyzx_uWE) = 
                          (r4v1 'registerMobileActivity' com.faster.cheetah.ui.RegisterMobileActivity)
                          (r0v14 'loadingDialog' android.app.Dialog)
                         call: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QkYuY1HZKyzC0dn8KhANyzx_uWE.<init>(com.faster.cheetah.ui.RegisterMobileActivity, android.app.Dialog):void type: CONSTRUCTOR)
                         type: INTERFACE call: java.util.concurrent.ExecutorService.execute(java.lang.Runnable):void in method: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$RJx9e64nq3_LNnBQ69XpgVjujfM.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                        	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                        	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                        	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                        	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                        	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                        	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                        	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                        	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                        	at java.util.ArrayList.forEach(ArrayList.java:1259)
                        	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                        	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                        Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x005f: CONSTRUCTOR  (r2v0 com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QkYuY1HZKyzC0dn8KhANyzx_uWE) = 
                          (r4v1 'registerMobileActivity' com.faster.cheetah.ui.RegisterMobileActivity)
                          (r0v14 'loadingDialog' android.app.Dialog)
                         call: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QkYuY1HZKyzC0dn8KhANyzx_uWE.<init>(com.faster.cheetah.ui.RegisterMobileActivity, android.app.Dialog):void type: CONSTRUCTOR in method: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$RJx9e64nq3_LNnBQ69XpgVjujfM.onClick(android.view.View):void, file: classes.dex
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                        	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                        	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                        	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                        	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                        	... 18 more
                        Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.faster.cheetah.ui.-$$Lambda$RegisterMobileActivity$QkYuY1HZKyzC0dn8KhANyzx_uWE, state: NOT_LOADED
                        	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                        	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                        	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                        	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                        	... 24 more
                        */
                    /*
                    // Method dump skipped, instructions count: 104
                    */
                    throw new UnsupportedOperationException("Method not decompiled: com.faster.cheetah.ui.$$Lambda$RegisterMobileActivity$RJx9e64nq3_LNnBQ69XpgVjujfM.onClick(android.view.View):void");
                }
            });
            ConfigEntity configEntity = this.application.configEntity;
            if (configEntity == null) {
                return;
            }
            if (configEntity.registerType.intValue() == 2) {
                this.tvSwitch.setVisibility(8);
            } else {
                this.tvSwitch.setVisibility(0);
            }
        }
    }
