package com.github.shadowsocks.aidl;

import android.os.IBinder;
import android.os.RemoteException;
import com.faster.cheetah.MainActivity;
import com.github.shadowsocks.aidl.ShadowsocksConnection;
import java.util.Objects;
import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.FunctionReference;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Reflection;
import kotlin.reflect.KDeclarationContainer;

/* compiled from: ShadowsocksConnection.kt */
public final /* synthetic */ class ShadowsocksConnection$binderDied$1$1 extends FunctionReference implements Function0<Unit> {
    public ShadowsocksConnection$binderDied$1$1(ShadowsocksConnection.Callback callback) {
        super(0, callback);
    }

    @Override // kotlin.jvm.internal.CallableReference
    public final String getName() {
        return "onBinderDied";
    }

    @Override // kotlin.jvm.internal.CallableReference
    public final KDeclarationContainer getOwner() {
        return Reflection.getOrCreateKotlinClass(ShadowsocksConnection.Callback.class);
    }

    @Override // kotlin.jvm.internal.CallableReference
    public final String getSignature() {
        return "onBinderDied()V";
    }

    @Override // kotlin.jvm.functions.Function0
    public final void invoke() {
        IBinder iBinder;
        MainActivity mainActivity = (MainActivity) ((ShadowsocksConnection.Callback) this.receiver);
        ShadowsocksConnection shadowsocksConnection = mainActivity.ssConnection;
        Objects.requireNonNull(shadowsocksConnection);
        Intrinsics.checkParameterIsNotNull(mainActivity, "context");
        IShadowsocksService iShadowsocksService = shadowsocksConnection.service;
        if (iShadowsocksService != null && shadowsocksConnection.callbackRegistered) {
            try {
                iShadowsocksService.unregisterCallback(shadowsocksConnection.serviceCallback);
            } catch (RemoteException unused) {
            }
        }
        shadowsocksConnection.callbackRegistered = false;
        if (shadowsocksConnection.connectionActive) {
            try {
                mainActivity.unbindService(shadowsocksConnection);
            } catch (IllegalArgumentException unused2) {
            }
        }
        shadowsocksConnection.connectionActive = false;
        if (shadowsocksConnection.listenForDeath && (iBinder = shadowsocksConnection.binder) != null) {
            iBinder.unlinkToDeath(shadowsocksConnection, 0);
        }
        shadowsocksConnection.binder = null;
        try {
            IShadowsocksService iShadowsocksService2 = shadowsocksConnection.service;
            if (iShadowsocksService2 != null) {
                iShadowsocksService2.stopListeningForBandwidth(shadowsocksConnection.serviceCallback);
            }
        } catch (RemoteException unused3) {
        }
        shadowsocksConnection.service = null;
        shadowsocksConnection.callback = null;
        mainActivity.ssConnection.connect(mainActivity, mainActivity);
    }
}
