package com.github.shadowsocks.bg;

import android.os.Build;
import com.github.shadowsocks.bg.DnsResolverCompat;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Lambda;

/* compiled from: DnsResolverCompat.kt */
public final class DnsResolverCompat$Companion$instance$2 extends Lambda implements Function0<DnsResolverCompat> {
    public static final DnsResolverCompat$Companion$instance$2 INSTANCE = new DnsResolverCompat$Companion$instance$2();

    public DnsResolverCompat$Companion$instance$2() {
        super(0);
    }

    @Override // kotlin.jvm.functions.Function0
    public final DnsResolverCompat invoke() {
        int i = Build.VERSION.SDK_INT;
        if (29 <= i) {
            return DnsResolverCompat.DnsResolverCompat29.INSTANCE;
        }
        if (23 <= i && 29 > i) {
            return DnsResolverCompat.DnsResolverCompat23.INSTANCE;
        }
        if (i == 22) {
            return DnsResolverCompat.DnsResolverCompat22.INSTANCE;
        }
        throw new IllegalStateException("Unsupported API level".toString());
    }
}
