package com.github.shadowsocks.bg;

import android.app.ActivityManager;
import com.github.shadowsocks.Core;
import java.util.Objects;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import kotlin.Lazy;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Lambda;
import kotlin.reflect.KProperty;
import kotlinx.coroutines.CoroutineDispatcher;
import kotlinx.coroutines.Dispatchers;
import kotlinx.coroutines.ExecutorCoroutineDispatcherImpl;

/* compiled from: DnsResolverCompat.kt */
public final class DnsResolverCompat$DnsResolverCompat21$unboundedIO$2 extends Lambda implements Function0<CoroutineDispatcher> {
    public static final DnsResolverCompat$DnsResolverCompat21$unboundedIO$2 INSTANCE = new DnsResolverCompat$DnsResolverCompat21$unboundedIO$2();

    public DnsResolverCompat$DnsResolverCompat21$unboundedIO$2() {
        super(0);
    }

    @Override // kotlin.jvm.functions.Function0
    public final CoroutineDispatcher invoke() {
        Objects.requireNonNull(Core.INSTANCE);
        Lazy lazy = Core.activity$delegate;
        KProperty kProperty = Core.$$delegatedProperties[0];
        if (((ActivityManager) lazy.getValue()).isLowRamDevice()) {
            return Dispatchers.IO;
        }
        ExecutorService newCachedThreadPool = Executors.newCachedThreadPool();
        Intrinsics.checkExpressionValueIsNotNull(newCachedThreadPool, "Executors.newCachedThreadPool()");
        Intrinsics.checkParameterIsNotNull(newCachedThreadPool, "$this$asCoroutineDispatcher");
        return new ExecutorCoroutineDispatcherImpl(newCachedThreadPool);
    }
}
