package com.github.shadowsocks.database;

import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.room.RoomDatabase;
import com.github.shadowsocks.Core;
import com.github.shadowsocks.database.PrivateDatabase;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Lambda;

/* compiled from: PrivateDatabase.kt */
public final class PrivateDatabase$Companion$instance$2 extends Lambda implements Function0<PrivateDatabase> {
    public static final PrivateDatabase$Companion$instance$2 INSTANCE = new PrivateDatabase$Companion$instance$2();

    public PrivateDatabase$Companion$instance$2() {
        super(0);
    }

    @Override // kotlin.jvm.functions.Function0
    public final PrivateDatabase invoke() {
        RoomDatabase.Builder databaseBuilder = AppCompatDelegateImpl.Api17Impl.databaseBuilder(Core.INSTANCE.getApp(), PrivateDatabase.class, "profile.db");
        boolean z = false;
        databaseBuilder.addMigrations(PrivateDatabase.Migration26.INSTANCE, PrivateDatabase.Migration27.INSTANCE, PrivateDatabase.Migration28.INSTANCE, PrivateDatabase.Migration29.INSTANCE);
        databaseBuilder.mAllowMainThreadQueries = true;
        if (databaseBuilder.mName != null) {
            z = true;
        }
        databaseBuilder.mMultiInstanceInvalidation = z;
        databaseBuilder.fallbackToDestructiveMigration();
        databaseBuilder.mQueryExecutor = $$LambdaGroup$js$RU2o3u_32t5791QtUnP2JcF98zk.INSTANCE$2;
        return (PrivateDatabase) databaseBuilder.build();
    }
}
