package com.github.shadowsocks.net;

import java.io.File;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.internal.Lambda;
import kotlin.text.MatchResult;
import kotlin.text.MatcherMatchResult;
import kotlin.text.Regex;

/* compiled from: TcpFastOpen.kt */
public final class TcpFastOpen$supported$2 extends Lambda implements Function0<Boolean> {
    public static final TcpFastOpen$supported$2 INSTANCE = new TcpFastOpen$supported$2();

    public TcpFastOpen$supported$2() {
        super(0);
    }

    /* Return type fixed from 'boolean' to match base method */
    @Override // kotlin.jvm.functions.Function0
    public final Boolean invoke() {
        if (new File("/proc/sys/net/ipv4/tcp_fastopen").canRead()) {
            return true;
        }
        Regex regex = new Regex("^(\\d+)\\.(\\d+)\\.(\\d+)");
        String property = System.getProperty("os.version");
        if (property == null) {
            property = "";
        }
        MatchResult find$default = Regex.find$default(regex, property, 0, 2, null);
        if (find$default != null) {
            MatcherMatchResult matcherMatchResult = (MatcherMatchResult) find$default;
            int parseInt = Integer.parseInt(matcherMatchResult.getGroupValues().get(1));
            if (Integer.MIN_VALUE > parseInt || 2 < parseInt) {
                if (parseInt != 3) {
                    return true;
                }
                int parseInt2 = Integer.parseInt(matcherMatchResult.getGroupValues().get(2));
                if ((Integer.MIN_VALUE <= parseInt2 && 6 >= parseInt2) || (parseInt2 == 7 && Integer.parseInt(matcherMatchResult.getGroupValues().get(3)) < 1)) {
                    return false;
                }
                return true;
            }
        }
        return false;
    }
}
