package com.github.shadowsocks.plugin;

import android.content.Intent;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: HelpCallback.kt */
public abstract class HelpCallback extends HelpActivity {
    @Override // com.github.shadowsocks.plugin.HelpActivity, com.github.shadowsocks.plugin.OptionsCapableActivity
    public void onInitializePluginOptions(PluginOptions pluginOptions) {
        Intrinsics.checkParameterIsNotNull(pluginOptions, "options");
        setResult(-1, new Intent().putExtra("com.github.shadowsocks.plugin.EXTRA_HELP_MESSAGE", produceHelpMessage(pluginOptions)));
        finish();
    }

    public abstract CharSequence produceHelpMessage(PluginOptions pluginOptions);
}
