package com.github.shadowsocks.plugin;

import android.content.pm.ComponentInfo;
import android.content.pm.ResolveInfo;
import androidx.transition.ViewGroupUtilsApi14;
import java.util.Objects;
import kotlin.Lazy;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.PropertyReference1Impl;
import kotlin.jvm.internal.Reflection;
import kotlin.jvm.internal.ReflectionFactory;
import kotlin.reflect.KProperty;

/* compiled from: ResolvedPlugin.kt */
public abstract class ResolvedPlugin extends Plugin {
    public static final /* synthetic */ KProperty[] $$delegatedProperties;
    public final Lazy defaultConfig$delegate = ViewGroupUtilsApi14.lazy(new ResolvedPlugin$defaultConfig$2(this));
    public final Lazy id$delegate = ViewGroupUtilsApi14.lazy(new ResolvedPlugin$id$2(this));
    public final Lazy idAliases$delegate = ViewGroupUtilsApi14.lazy(new ResolvedPlugin$idAliases$2(this));
    public final ResolveInfo resolveInfo;

    static {
        PropertyReference1Impl propertyReference1Impl = new PropertyReference1Impl(Reflection.getOrCreateKotlinClass(ResolvedPlugin.class), "id", "getId()Ljava/lang/String;");
        ReflectionFactory reflectionFactory = Reflection.factory;
        Objects.requireNonNull(reflectionFactory);
        PropertyReference1Impl propertyReference1Impl2 = new PropertyReference1Impl(Reflection.getOrCreateKotlinClass(ResolvedPlugin.class), "idAliases", "getIdAliases()[Ljava/lang/String;");
        Objects.requireNonNull(reflectionFactory);
        PropertyReference1Impl propertyReference1Impl3 = new PropertyReference1Impl(Reflection.getOrCreateKotlinClass(ResolvedPlugin.class), "defaultConfig", "getDefaultConfig()Ljava/lang/String;");
        Objects.requireNonNull(reflectionFactory);
        PropertyReference1Impl propertyReference1Impl4 = new PropertyReference1Impl(Reflection.getOrCreateKotlinClass(ResolvedPlugin.class), "trusted", "getTrusted()Z");
        Objects.requireNonNull(reflectionFactory);
        $$delegatedProperties = new KProperty[]{propertyReference1Impl, propertyReference1Impl2, propertyReference1Impl3, propertyReference1Impl4};
    }

    public ResolvedPlugin(ResolveInfo resolveInfo2) {
        Intrinsics.checkParameterIsNotNull(resolveInfo2, "resolveInfo");
        this.resolveInfo = resolveInfo2;
        ViewGroupUtilsApi14.lazy(new ResolvedPlugin$trusted$2(this));
    }

    public abstract ComponentInfo getComponentInfo();

    @Override // com.github.shadowsocks.plugin.Plugin
    public String getDefaultConfig() {
        Lazy lazy = this.defaultConfig$delegate;
        KProperty kProperty = $$delegatedProperties[2];
        return (String) lazy.getValue();
    }

    @Override // com.github.shadowsocks.plugin.Plugin
    public String getId() {
        Lazy lazy = this.id$delegate;
        KProperty kProperty = $$delegatedProperties[0];
        return (String) lazy.getValue();
    }

    @Override // com.github.shadowsocks.plugin.Plugin
    public String[] getIdAliases() {
        Lazy lazy = this.idAliases$delegate;
        KProperty kProperty = $$delegatedProperties[1];
        return (String[]) lazy.getValue();
    }
}
