package com.google.zxing.oned.rss.expanded.decoders;

import com.android.tools.r8.GeneratedOutlineSupport;
import com.google.zxing.common.BitArray;

public final class AI01AndOtherAIs extends AI01decoder {
    public AI01AndOtherAIs(BitArray bitArray) {
        super(bitArray);
    }

    @Override // com.google.zxing.oned.rss.expanded.decoders.AbstractExpandedDecoder
    public String parseInformation() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("(01)");
        int length = outline25.length();
        outline25.append(this.generalDecoder.extractNumericValueFromBitArray(4, 4));
        encodeCompressedGtinWithoutAI(outline25, 8, length);
        return this.generalDecoder.decodeAllCodes(outline25, 48);
    }
}
