package com.tencent.mm.opensdk.diffdev;

import com.android.tools.r8.GeneratedOutlineSupport;

public enum OAuthErrCode {
    WechatAuth_Err_OK(0),
    WechatAuth_Err_NormalErr(-1),
    WechatAuth_Err_NetworkErr(-2),
    WechatAuth_Err_JsonDecodeErr(-3),
    WechatAuth_Err_Cancel(-4),
    WechatAuth_Err_Timeout(-5),
    WechatAuth_Err_Auth_Stopped(-6);
    
    private int code;

    private OAuthErrCode(int i) {
        this.code = i;
    }

    public int getCode() {
        return this.code;
    }

    public String toString() {
        StringBuilder outline25 = GeneratedOutlineSupport.outline25("OAuthErrCode:");
        outline25.append(this.code);
        return outline25.toString();
    }
}
