package com.unionpay.tsmservice.request;

import android.os.Parcel;
import android.os.Parcelable;

public class HideAppApplyRequestParams extends RequestParams {
    public static final Parcelable.Creator CREATOR = new Parcelable.Creator() {
        /* class com.unionpay.tsmservice.request.HideAppApplyRequestParams.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public final Object createFromParcel(Parcel parcel) {
            return new HideAppApplyRequestParams(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public final Object[] newArray(int i) {
            return new HideAppApplyRequestParams[i];
        }
    };
    public String mApplyId;

    public HideAppApplyRequestParams(Parcel parcel) {
        super(parcel);
        this.mApplyId = parcel.readString();
    }

    @Override // com.unionpay.tsmservice.request.RequestParams
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.mReserve);
        parcel.writeString(this.mApplyId);
    }
}
