package com.unionpay.tsmservice.request;

import android.os.Parcel;
import android.os.Parcelable;

public class SendApduRequestParams extends RequestParams {
    public static final Parcelable.Creator CREATOR = new Parcelable.Creator() {
        /* class com.unionpay.tsmservice.request.SendApduRequestParams.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public final Object createFromParcel(Parcel parcel) {
            return new SendApduRequestParams(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public final Object[] newArray(int i) {
            return new SendApduRequestParams[i];
        }
    };
    public String channel;
    public String hexApdu;

    public SendApduRequestParams(Parcel parcel) {
        super(parcel);
        this.channel = parcel.readString();
        this.hexApdu = parcel.readString();
    }

    @Override // com.unionpay.tsmservice.request.RequestParams
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.mReserve);
        parcel.writeString(this.channel);
        parcel.writeString(this.hexApdu);
    }
}
