package io.github.rockerhieu.emojicon;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import io.github.rockerhieu.emojicon.emoji.Emojicon;
import java.util.List;
import net.xfkefu.sdk.R;

public class EmojiconAdapter extends ArrayAdapter<Emojicon> {
    public boolean mUseSystemDefault;

    public class ViewHolder {
        public EmojiconTextView icon;
    }

    public EmojiconAdapter(Context context, List<Emojicon> list) {
        super(context, R.layout.emojicon_item, list);
        this.mUseSystemDefault = false;
        this.mUseSystemDefault = false;
    }

    public View getView(int i, View view, ViewGroup viewGroup) {
        if (view == null) {
            view = View.inflate(getContext(), R.layout.emojicon_item, null);
            ViewHolder viewHolder = new ViewHolder();
            EmojiconTextView emojiconTextView = (EmojiconTextView) view.findViewById(R.id.emojicon_icon);
            viewHolder.icon = emojiconTextView;
            emojiconTextView.setUseSystemDefault(this.mUseSystemDefault);
            view.setTag(viewHolder);
        }
        ((ViewHolder) view.getTag()).icon.setText(((Emojicon) getItem(i)).emoji);
        return view;
    }

    public EmojiconAdapter(Context context, List<Emojicon> list, boolean z) {
        super(context, R.layout.emojicon_item, list);
        this.mUseSystemDefault = false;
        this.mUseSystemDefault = z;
    }

    public EmojiconAdapter(Context context, Emojicon[] emojiconArr, boolean z) {
        super(context, R.layout.emojicon_item, emojiconArr);
        this.mUseSystemDefault = false;
        this.mUseSystemDefault = z;
    }
}
