package io.netty.util;

public interface UncheckedBooleanSupplier extends BooleanSupplier {
    public static final UncheckedBooleanSupplier FALSE_SUPPLIER = new UncheckedBooleanSupplier() {
        /* class io.netty.util.UncheckedBooleanSupplier.AnonymousClass1 */

        @Override // io.netty.util.BooleanSupplier, io.netty.util.UncheckedBooleanSupplier
        public boolean get() {
            return false;
        }
    };
    public static final UncheckedBooleanSupplier TRUE_SUPPLIER = new UncheckedBooleanSupplier() {
        /* class io.netty.util.UncheckedBooleanSupplier.AnonymousClass2 */

        @Override // io.netty.util.BooleanSupplier, io.netty.util.UncheckedBooleanSupplier
        public boolean get() {
            return true;
        }
    };

    @Override // io.netty.util.BooleanSupplier
    boolean get();
}
