package kotlinx.coroutines.channels;

import kotlin.jvm.internal.Intrinsics;
import kotlinx.coroutines.internal.SystemPropsKt;

/* compiled from: Channel.kt */
public interface Channel<E> extends SendChannel<E>, ReceiveChannel<E> {
    public static final Factory Factory = Factory.$$INSTANCE;

    /* compiled from: Channel.kt */
    public final class Factory {
        public static final /* synthetic */ Factory $$INSTANCE = new Factory();
        public static final int CHANNEL_DEFAULT_CAPACITY = ((int) SystemPropsKt.systemProp("kotlinx.coroutines.channels.defaultBuffer", (long) 64, (long) 1, (long) 2147483646));

        static {
            Intrinsics.checkParameterIsNotNull("kotlinx.coroutines.channels.defaultBuffer", "propertyName");
        }
    }
}
