package net.xfkefu.sdk.a;

import org.json.JSONException;
import org.json.JSONObject;

public class TextHelper {
    public static String lastMessage(String str) {
        try {
            JSONObject jSONObject = new JSONObject(str);
            if (jSONObject.has("videoUrl")) {
                return "[video]";
            }
            if (jSONObject.has("voiceUrl")) {
                return "[audio]";
            }
            return jSONObject.has("imageUrl") ? "[image]" : "";
        } catch (NullPointerException | JSONException unused) {
            return str;
        }
    }
}
