package net.xfkefu.sdk.viewholder;

import android.view.View;
import android.widget.TextView;
import androidx.fragment.app.FragmentActivity;
import net.xfkefu.sdk.R;
import net.xfkefu.sdk.entity.ChatMessage;

public class LineUpViewHolder extends MessageItemViewHolder {
    private final TextView tvMessage;

    public LineUpViewHolder(View view) {
        super(view);
        this.tvMessage = (TextView) view.findViewById(R.id.tv_message);
    }

    @Override // net.xfkefu.sdk.viewholder.MessageItemViewHolder
    public void onBindViewHolder(FragmentActivity fragmentActivity, ChatMessage chatMessage, boolean z) {
        this.tvMessage.setText(chatMessage.content);
    }
}
