package net.xfkefu.sdk.viewholder;

import android.view.View;
import android.widget.TextView;
import androidx.fragment.app.FragmentActivity;
import net.xfkefu.sdk.R;
import net.xfkefu.sdk.entity.ChatMessage;

public class TipViewHolder extends MessageItemViewHolder {
    private final TextView tvContent;

    public TipViewHolder(View view) {
        super(view);
        this.tvContent = (TextView) view.findViewById(R.id.tv_message_content);
    }

    @Override // net.xfkefu.sdk.viewholder.MessageItemViewHolder
    public void onBindViewHolder(FragmentActivity fragmentActivity, ChatMessage chatMessage, boolean z) {
        this.tvContent.setText(chatMessage.content);
    }
}
