package okhttp3;

import okhttp3.internal.authenticator.JavaNetAuthenticator;

/* compiled from: Authenticator.kt */
public interface Authenticator {
    public static final Authenticator NONE = new Authenticator$Companion$AuthenticatorNone();

    static {
        new JavaNetAuthenticator(null, 1);
    }

    Request authenticate(Route route, Response response);
}
