package okhttp3;

import java.io.IOException;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: EventListener.kt */
public final class EventListener$Companion$NONE$1 {
    public static final EventListener$Companion$NONE$1 NONE = new EventListener$Companion$NONE$1();

    public void connectionAcquired(Call call, Connection connection) {
        Intrinsics.checkNotNullParameter(call, "call");
        Intrinsics.checkNotNullParameter(connection, "connection");
    }

    public void requestFailed(Call call, IOException iOException) {
        Intrinsics.checkNotNullParameter(call, "call");
        Intrinsics.checkNotNullParameter(iOException, "ioe");
    }

    public void responseFailed(Call call, IOException iOException) {
        Intrinsics.checkNotNullParameter(call, "call");
        Intrinsics.checkNotNullParameter(iOException, "ioe");
    }
}
